What's New

This section contains a short description of what is new in LOGic version 6. This help file has been fully updated to reflect these changes.

Before we start discussing all the great new features in LOGic 6, we would like to thank all the hams who contacted us with ideas on how to improve LOGic 5. You have kept Dennis, WN4AZY, busy over the past year.

Since 1989 LOGic has provided the amateur community with the professional software system that meets the most advanced needs, yet whose fundamental features are easy for the beginner to master. LOGic users enjoy features such as user-defined fields that allow you to log anything, track progress for any award (try tracking something like YL DXCC or QRP WAZ, or lighthouse WAS with any other software!), customizable log form layout, a printing facility that allows you to do things like print your own custom color QSL cards, and contest logging.

LOGic 6 brings many new features and refinements to this already state-of-the-art software.

Here's what's new:

Callbook lookup from web. LOGic 6 scans multiple web sites looking for the requested call. You can choose which sites are searched, and the order in which they are searched. Note: advertisements from commercial sites are displayed.

CW Keyer & PTT now support both serial or parallel ports. A separate port can be used for CW PTT and Voice PTT. Serial and parallel ports are now supported on Windows 98, ME, 2000 and XP. (NT too, probably.)

CW Keyer has been completely redone. You can change speed while transmitting by simply changing the controls on the keyer form. It is no longer necessary to click anything to enter or exit the real-time keyboard. Just type in the input window. Change speed on the fly by clicking the speed control.

Most windows can be displayed in the main LOGic 6 window (like previous versions), or may be displayed on the Windows desktop. This permits better use of systems with multiple monitors. To move a window, right-click the form. A new option has been added to the Form Properties.

The menu system has been redone. Over the years LOGic has accumulated so many features that finding them can be daunting to the new and experienced user alike. The new menu system is more logical and easier to use. The main menu bar has new menus that categorize LOGic 6's many features by major operating activities: Awards, Contesting, QSLing, and Reports.

Reports and log forms are now categorized. They have been divided into categories such as Log, Contesting, QSL Cards, and QSL Labels.

Suppose you want to print QSL cards. In spite of straightforward instructions in the manual (Click File, Print, and select a QSL card from the list of reports), we still got a lot of calls asking, "How do I print QSL cards?" Perhaps some were intimidated by the menu of LOGic's 50+ reports and didn't think to scroll to the Qs to find QSL Card reports. Now, simply click QSLing on the menu bar, and select QSL Cards. The new report menu will display only QSL Card reports. The description of the report is displayed as you click on an entry or scroll through the list.

Log forms are also categorized by contest and non-contest. The log form selection menu now displays the description.

Not to worry. Those of you who liked the old menu system just fine will find the old menu structure still supported within the new menu system.

The Filter screen now allows you to search user-defined fields exactly the same way that you do normal fields. Each user-defined field is listed in the Filter window, just like regular fields. It is no longer necessary to search the Userfields field for the desired tag and value.

Menus and toolbars for functions related to logging have been added to the log form. The Log menu was moved from the main LOGic menu bar to the log form.

Menus and optional button toolbars provide access to the function key macros for the CW keyer, digital communication terminals, and telnet.

Transparent forms--looks cool and makes it easy to find forms that are entirely covered by other forms! Windows 2000, and XP or later only.

Holding the mouse on top of a function key button will show the actual text that will be transmitted based on the contents of the log screen. For instance, if the expression for the function key is CALL + " DE WN4AZY TNX FER THE CALL 'BT UR RST IS " + RST_SENT, LOGic 6 may display N6MRQ DE WN4AZY TNX FER THE CALL 'BT UR RST IS 599. The voice keyer also has a menu in the log form, and an optional button toolbar.

LOGic 6 stores function key macro definitions with the log form, so that you can create new log forms to have a potentially unlimited number of function keys, and so that different groups of definitions may be made for each operating activity. Buttons on the keyer and communications forms also provide access to your macros. If you have more than one log form open, the definitions for the most-recently-accessed log form are used. Holding the mouse on top of the button shows the description of the macro key and what will be transmitted.

When entering expressions for terminal and keyer function keys in log/setup, holding the mouse over the expression will also show the results of the expression.

Description info for dropdown fields automatically displays description when entering a value or holding the mouse over the field. For instance, the DXCC field will display the country name, and, if the IOTA list is installed, will show island group info. Previously it was necessary to click on the field to see this info, and sometimes it was truncated if it was too big to display in the Description column of the display.

LOGic 5 featured log form customization, offering drag-and drop field layout, and menu selection of which fields to display. Based on input from LOGic 5 users, several enhancements were made to this great feature.

The log window is sized automatically. When unlocking the form, it is expanded to give you extra room to add new fields, etc. If it is not expanded enough, you can drag the window to a larger size. When locking the form, it will automatically resize to be as small as possible, based on where you positioned the fields. When unhiding a field, it is flashed several times so you can see where the new field is located. If you don't see it, double-click the field name in the list, and it will flash some more. In the tab order setup, which allows you to determine where the cursor moves as you tab through the log form, you may now double-click the field name in the list to cause the field to flash on the log form.

The above features have also been implemented in the QSL Routes screen.

A new feature allows a log form to add needed fields to the database. Previously, if you downloaded a new contest setup that needed a new field for a contest exchange or whatever, you had to add the new field to tools/setup/log forms yourself in order to use it on the contest screen.

Now, the log form can be set up so that the needed fields are added automatically. If you design a log form that uses user-defined fields that you want to share with other LOGic users, simply enter the field names, types, and sizes in Log Setup. When someone else opens your form, the new fields will be added to the database automatically.

Interface to HamScope digital communications program.

Interface to DX Atlas.

Increased capacities--You can now have 20 user-defined fields per screen. 20 each CW, Terminal, and voice keyer function keys. Copy more items from previous QSOs or Prefix Table.

Every input field that requests select criteria (such as when exporting part of your log) now uses the filter screen so that you can simply fill in the desired values just as you do when using the Filter feature of the log form.

Clock may be automatically set to the National Institute of Standards and Technonogy (NIST) atomic clock (the same one WWV uses) via the internet. To turn on this feature, go to tools/setup/internet. If you are not connected to the internet when starting LOGic 6, an unintrusive notice is displayed. You may also set the clock to NIST by clicking the clock icon in the Info window.

LOGic 6 is programmed to know about all available time servers that support the required protocol. If one server is down, it will automatically try another.

A new server interface allows third-party programs to easily access and control many of LOGic 6's features. Here are just a few of the things you can do:

•Interface your communications program so that any data received will be processed by LOGic 6, and any data sent using LOGic 6 will be sent to your application for transmission.

•Read and control any rig connected to LOGic 6.

•Log a QSO, or read QSO data from LOGic 6's log screen.

•Access your callbook CD-ROM or web callbook.

•Send spots to LOGic 6's spot log.

This is accomplished using the Windows Common Object Model (COM) interface. Most any language may be used, including Visual C, Visual Basic, Visual FoxPro, Windows Scripting, as well as any product that supports VBScript or JavaScript, including Active Server Pages. Anyone care to interface LOGic to their web page? See our web site for details and an example program. Almost all of LOGic 6's internals are exposed, so if you have a neat idea and want to do something that is not documented, contact us and we will assist.

Previous QSOs window shows log entries for spots in the spot log.

LOGic 6's map has a new option for independently choosing whether to set the rig and/or rotor when clicking a spot indication on the map.

When posting a spot, the frequency is obtained from the rig if possible. Otherwise it is obtained from the frequency logged in the log form.

If LOGic 6 is not shut down properly because of a system crash, power failure, etc, LOGic 6 will automatically ask if you want to perform a Clean to repair indexes that may have been damaged. The feature does not work when running multiple instances of LOGic 6 simultaneously on the same computer.

Does not prompt for Station Info after doing a Clean Up Indexes and Temporary files.

Exports log file to XML format. See tool/export. The schema is imbedded in the exported file.

When a filter is in effect, holding the mouse on top of the Filter button displays the filter expression, if any.

An input field on the Other QSOs form permits lookup of any call without opening a log form.

If you are currently logging a mode not supported by the rig, and change the mode on the rig, it will begin reading the mode from the rig again.

Previously, if you were logging a mode that is not supported by the rig (say you were logging PSK31 but had the rig set to USB), LOGic would ignore the rig's mode. It would continue to ignore the mode until you manually logged a normal mode. It would then read the mode for the next QSO. LOGic 6 still does this. If you want to now log a bona fide USB QSO, you must manually log USB once. But if you are logging PSK31 and switch to CW or USB, LOGic 6 will start reading the rig again.

Modes table has a new field for default RST for each mode.

Current sunrise and sunset displayed in tools/update sunrise/sunset.

Paths for Edit a text file, Import, and Export are remembered for the default the next time these features are used.

Tools/Advanced/Path and File Info displays the data search path and where various key files are located. This is useful when running over a network or using multiple databases.

The Range selection dialog has been removed from the report writer. It is no longer necessary, since Filtering will automatically utilize any appropriate indexes to speed search.

Note: This list of LOGic 6‘s new features is not guaranteed to be complete!


Actions

See also: Data access forms

LOGic's data access forms are capable of performing many actions – adding a new record, changing existing data, searching your data, etc. The control panel at the bottom of the data window activates the various actions.

Here is a summary of these actions. Some are discussed in more detail in other sections. Each action may be performed with a keyboard shortcut. Touch help will reveal the keyboard shortcut. Additional information for each button may appear on the status bar . Also note that most of these actions will not work until you have entered some data into your log. Obviously, you cannot erase or go to the next or previous record when there is no data in the log.

The Next and Previous actions page through the log. The current database order is used. See Get below.

The Get action allows simple and instantaneous lookup of a QSO by entering either the callsign or date/time of the QSO. When the Get form is open, the cursor is positioned in the small field at the top of the form. It analyzes your input and automatically selects the Call or Date/Time field.

You do not need to enter an exact call or date/time. The closest match will be found.

When GETting, the database is reordered according to the field that you searched. For example, if you searched on Call in the log form, the log will be switched to Callsign order. If you searched on Date/Time, the database will be switched to Chronological order. You may easily see how your database is ordered by looking at the browse form. The header of the column that the database is currently ordered by will be underlined.

Filtering allows you to search on any field or combination of fields. It is a very powerful tool for searching your data. See the section on Filtering for more details.

0 The Erase action permanently removes a record from your database. You are normally asked to verify that you want to erase, but you may turn this safety feature off. See Application Options.

The Undo action reverses any changes that you have made to your data. If you undo while adding a record, the new record is discarded.

Add new record clears the data form and adds a new, blank record to the database. The cursor is placed in the Call field. The button changes color to indicate that an add is in progress.

Rght-click the Add button to duplicate the currently-displayed record. This is great for logging county-hunter QSOs when a mobile station is on a county line. Be sure to change something in the duplicated record. There is no logical reason for a database to have records that are exact duplicates of each other.

0 Save writes changes or new records to disk, and attempts to flush all disk buffers. You do not have to press this button to save your changes! LOGic automatically saves changes for you when you exit the form or access a different record. This button merely provides a way to assure that data has been saved. For example, you will want to click it if you are in the middle of adding or changing a record, but must leave your computer before finishing. This will greatly lessen the chance of data loss should the power fail or your computer crash in your absence.

If you do not like LOGic's automatic save feature, you may disable it .

The Browse button activates the browse window. It performs the same function as clicking on the browse window. However, this button provides {Enter} as a keyboard shortcut. This button is also handy if you have several data forms with unanchored browse forms open at the same time. It will activate the browse form that belongs to the data form whose button you click.

0 The Close button performs the same function as clicking the X-button in the top right hand of the form, but provides a keyboard shortcut for closing the form. The Browse window may be closed if it is not wanted by clicking the X in the top right hand corner of the window . Closing the data form will also close the browse form.

Browse form actions

Most action buttons are also available on the browse form. The keyboard shortcuts for these are single letters as opposed to a control-key combination in the data window. For example, in the data window, you must press {Ctrl+N} to add a new record from the keyboard. Typing "N" merely enters "N" in a data field. However, since the browse form is read-only (it does not permit typing data into the columns), you may type just "N" to add a new record. However, for consistency, {Ctrl+N} will work from the browse form also.

You can use the single-key shortcuts from the data form by pressing {Enter} first. {Enter} is the keyboard shortcut for activating the browse form. So if you are finishing one QSO and want to begin another, you may press {Enter} then N instead of {Ctrl+N}.

The browse window has a Change button, which activates the data window so you can change your data. This button performs the same function as clicking on the data form, but provides a keyboard shortcut.

The Incremental Search button allows you to perform a search on the currently-indexed column of the browse grid.

The Close button on the browse form closes the browse form and the data form. To close just the browse form, click the close control in the top right hand corner of the form .

The browse form has no next or previous buttons, because the grid has scroll arrows and scroll bars to accomplish the same thing. You may also use the {PgUp}. {PgDn}, and the up- and down-arrow keys to navigate.


advanced

Advanced Features

This manual covers only a portion of LOGic's many features. By it, you have learned basic things like how to use LOGic's powerful and unique forms for entering and viewing your data, logging QSOs, tracking awards, and printing your log data in reports or QSL cards or labels. You have also learned about more advanced features such as designing your own log form, adding user-defined fields, and adding new awards to be tracked by LOGic.

However, LOGic has many other sophisticated features not covered in the manual. Much of this information changes frequently, and is provided in LOGic's help. If you prefer a printed version of this documentation, you can print any or all topics or sections yourself.


Application options

Select Options from the Tools menu on the menu bar to set options that affect the behavior of the entire application. Changes normally are in effect only until you exit the application, and will be reset to their defaults when you restart the application. However, if you click Set as Default, your changes will be saved and used every time you run the application.

Most changes made by this form do not take effect until a form is opened. If you want to see how the changes affect currently-open forms, close and reopen them.

Data

These options affect how LOGic's forms interact with your data.

  • Lock Data will prevent you from accidentally changing data from a data form. It does not protect data from maintenance utilities, or other users or programs that may be accessing your data.

  • Confirm saving changes. LOGic does not require that you take any action to save changes you have made to data. It saves them automatically whenever you proceed to do something to another record or exit the form. If you make changes and decide you do not want to save them, you normally Undo. However, you have the option to be prompted for confirmation whenever LOGic saves changes.

  • Confirm erase. Normally you are asked for confirmation when you erase a record. You may wish to disable this confirmation prompt if you will be manually erasing a lot of records

Application

These options affects certain application-wide options.

  • Confirm field exit. If this option is off, the cursor will automatically jump to the next field when your typing fills the current field. When this option is on, you must press {Tab}, {Down Arrow}, use the mouse, etc. to exit the field and go to the next.

  • Beep when typing fills field. This option gives you audio alert when you have filled up a field.

  • Start application minimized. If you select this option, LOGic will load but appear only as a button on your task bar when you run it. This is ideal if you put a shortcut to LOGic in your Startup folder. When changing this option, you must click Set as Default, or it will have no effect.

  • Disallow multiple form instances. LOGic allows you to open some forms (such as the log form) multiple times. This is a very handy feature, but can be confusing to the novice user. If this option is selected, attempting to open a form that is already open will simply show the existing form rather than creating a new form.

Date format. Normally LOGic uses the date format set in your control panel. Click the button to run the control panel date format selector. However, you may select from among numerous other options. You may select the date format used to display and enter data. You may change this option at will, as it does not affect the format used to store dates in your database.

All versions of LOGic are Y2K compliant--even those sold in 1989!

Transparent forms

LOGic's features a fantastic visual effect--transparent forms! Besides looking extremely cool, it makes managing a multitude of forms easier, because you can see even windows that are completely covered by other windows!

Transparency works only for windows with In WIndows Desktop turned on.

The feature is supported only by Windows 2000, and XP or later only.

You can adjust the amount of transparency independantly for foreground windows (the form you are currently using) and background windows. A bigger number makes the forms more transparent. 0% turns off transparency. 90% is the maximum allowable transparency--any higher and the forms would be invisible! There are buttons to turn on recommended settings, but do try different combinations.

When initially turning on transparency (changing it from 0 to something else), currently-open forms are not affected. Close them and reopen to see the effect. After transparency is turned on, simply clicking on the form will refresh the transparent display.


ARRL Suggested Standard File Format for Contest Submission

ARRL Standard File Format for Contest Submission

Cabrillo

LOGic supports the ARRL Cabrillo file format for submitting contest logs. Go to tools/Export to access this feature. Select the desired file format (there are currently three). You will then prompted for the LOGic log form that created this contest data.

Enter the transmitted exchanges if requested.

You will be asked if you want to rescore the contest. This takes a few minutes, but is recommended just in case some QSOs in the contest log were deleted or modified.

Finally, you will be asked for an output file name. In most cases you will want to use the default yourcall.log. After the file is generated, it will appear in a text editor. Enter the required header information that LOGic cannot fill in automatically. Review the log, especially the header information. The score that LOGic calculates is points and multipliers based on QSOs. Add any bonus points manually.

The official Cabrillo web site is http://www.kkn.net/~trey/cabrillo Here you will find the Cabrillo specifications and example files.

The received exchanges and in some cases the transmitted exchanges are determined by expresions entered in log form setup.

Old ARRL format

LOGic still supports the old ARRL suggested file format for file submission. Here is the layout for the columnar text file that LOGic exports in case anyone cares.

BAND |
MODE |
DATE | dd/mm/yy
TIME | hhmm
REST_TIME | hhmm from *ON and *OFF entries
CALL |
EXCH_TX |
EXCH_RX |
NEW_MULT | contains * if new multiplier
POINTS |
OPERATOR |
Columns are wide enough so that there is at least one space between columns for easy viewing.

The ARRL suggested format is documented on the World Wide Web at http://www.arrl.org/contests/fileform.html.


Backup and restore

LOGic includes a backup feature that compresses your log data so that up to 40,000 QSOs will fit on a single diskette (multiple diskettes are supported). Back up your data frequently to protect yourself from hard disk failure, fire, etc.! Access the Backup and Restore features from the Tools menu.

When you restore the data, you have the option to replace existing data or append to existing data. Use the Append option if you are merging data from a multioperator contest (LOGic supports multiuser networking too). If you accidentally append and end up with duplicate QSOs, there is a program under Tools/Misc Utilities to remove dupes. You may also restore and do nothing with the restored data. It is left in a temporary file.

Note that the backup facility backs up only log data! It does not back up changes to reports, log form setups, or other tables. It is recommended that you periodically back up your entire system, including LOGic, using a tape drive or ZIP drive with appropriate backup software.

If you want to copy the log data manually, copy LOG.DBF and LOG.FPT, which are in the LOGDATA subdirectory. LOG_BIO.DBF and LOG_BIO.FPT contain the biographical info. If you restore files that you manually backed up, please run the clean option from your start menu to regenerate indexes.


Basic form customization--font size and color

You may easily choose colors and fonts used by a form. Just right-click anywhere in the background area of the form.

Depending on your monitor, video resolution selection in the Windows control panel, and eyesight, you may discover that forms are too large-they do not fit on your screen, or there is not room to have all the forms visible that you desire. Choosing a smaller font will make the window smaller. Or you may desire larger type that is easier to read. Also, experiment with bold and normal font styles.

You may also change font name. However, this is not recommended for most forms. The boxes where you type your data, called data fields, should use a non-proportional font. Courier New is the only such True Type font provided with Windows.

To change color, right-click the background area of a form. You may select foreground and background colors for the form and its data fields. You may also change font name and style. However, this is not recommended for most forms. The boxes where you type your data, called data fields, should use a non-proportional font . Courier New is the only such True Type font provided with Windows.

Data with a predetermined list of values, such as DXCC, are displayed in dropdown lists. A proportional font is used to conserve screen real estate. The font name (typeface) for these items cannot be changed.

You may also select foreground and background colors for the form, and its data fields.

Instead of a background color, you may select a bitmap graphic for your forms. Several are included with LOGic, and you may make your own. Just use the Windows Paint program or other paint program to make a standard .BMP image. It is recommended that you put your background images inside LOGic's Backgrounds folder. When making background graphics, they should be low contrast and be either very light or very dark, so that the text on the form will be legible. After selecting a background, you may want to adjust text colors for maximum attractiveness and readability.

Most of LOGic's windows are normally displayed inside the main LOGic application window. However, most forms may be moved to the Windows desktop so that they may be moved independently of the main LOGic window. Click the Windows Desktop option. This is great for moving a form to a different monitor on a multiple-monitor system. Forms in the Windows Desktop may be made transparent.

You may make your favorite forms stay on top of other forms by click-ing the Always on Top option.

The log form allows even greater customization than discussed here. You may change the size of the window's work area without changing font size, add or remove fields, and drag fields to your desired location. See Log Form Layout Customization.


Callbook Databases

LOGic is fully integrated with various CD-ROM callbook databases for automatic logging of name, QTH, address, email address, county, and grid square. Additionally, LOGic performs the same functions using any or all of several popular web-based callbook databases.

CD-ROM Callbooks

To install a CD-ROM callbook, go to Forms and select Callbook from CD-ROM. If this is the first time you have used a callbook CD-ROM since installing LOGic, you will be asked to choose which brand of callbok you have.

Insert your CD-ROM into your drive. In most cases LOGic will identify the proper drive automatically. If it cannot find the CD-ROM, or if you have copied the CD-ROM data onto your hard drive, LOGic will prompt for the directory containing the data.

Later, when using the callbook interface and forgetting to insert the CD-ROM (or if you moved the data location on your hard drive), you will again be prompted to insert the CD-ROM or select a directory.

Type a call into the callbook form. If the call is on file, the info will be displayed. Use touch help to see what the various data are. The COPY button copies the info to the last-accessed log or QSL routes form. Both the log and QSL form menus have options for transferring data from the callbook.Web Callbooks

Web callbooks

LOGic seamlessly integrates with several of the most popular web-based callbook databases. More will be added in the future to take ad-vantage of new sites.

Connect to the internet and select Callbook from Web from the Forms menu. (depending on how you have Windows configured, your com-puter may connect to the internet automatically).

LOGic normally scans several web sites searching for the call you entered. You can control which sites are searched first, and disable sites so that they will not be searched.

Click the Setup button on the Web Callbook form. You will see a list of web sites. You can click on each entry to see its web address, whether or not the site is a commercial site that displays advertisements, which country the site serves (some sites serve several countries and are marked any), and some descriptive information about each site.

To disable a site, select it from the list by clicking on it with the mouse, then click Disable to put a checkmark in the Disable box. Click again to re-enable. You will want to disable a site if the server is down or if the site is permanently taken offline, or if the format of the data changes so that LOGic can no longer read it.

LOGic searches from the top of the list to the bottom until the re-quested call is found. You can change the search order by dragging the entries in the list up or down.

A site may be marked as Comprehensive. A comprehensive site is considered to be complete for the country in question. If a comprehen-sive site is searched and the requested call is not found, LOGic stops searching-it will not search any other sites for the requested call. For instance, suppose you search for K4LID. You have the official US Fed-eral Communications Database enabled. Since the FCC database is presumed to be complete and up-to-date, it is marked Comprehensive. LOGic searches it, and does not find K4LID. Since the FCC database is comprehensive so far as US calls are concerned, we can conclude that the call does not exist in any database, so there is no need to con-tinue to search other databases.

You may manually select a specific site to search from the dropdown list. You may use this to search for an expired call that is no longer in the FCC database, but may be in others, without having to change the Setup.

LOGic reformats the information from the web site for a consistent display style and so that items such as name and QTH may be logged automatically. You can view the actual callbook web site displaying the information for the call you requested in your web browser by clicking the Browser button.

Advertisements from commercial sites will be displayed in LOGic. If the ad is a clickable link, you may click it and view it in LOGic. To switch to viewing a site in your browser, click the Browser button. To directly view a linked site in your browser, right-click the ad and select Open Link in New Window.

If you have auto logging from the web callbook enabled, searching a site with ads will cause LOGic's web callbook display to come to the top of other windows so that you may view the ad. Click the Return From Ad button to return to the log form.

Commercial sites depend on people responding to their ads for their continued operation. Do not ask us to disable the ad display in LOGic. If you do not wish to use these commercial sites, click the Setup button and disable them.

Interfacing to the Callbook

It is nice to be able to view the name, address, and other information about a station from a callbook database. However, the real power of LOGic's callbook interface is the ability to automatically utilize infor-mation from the callbook.

Log Form

The log form may be configured to automatically log name, QTH, address, and grid square. Click on the Log menu on the log form, then Setup, then Callbook. Select whether you want to use the Web callbook or the CD-ROM callbook. Click the desired check boxes for the items you wish to have logged automatically from the callbook--Name & QTH, Address, and Grid Square. Not all databases contain grid squares.

To make LOGic automatically copy info from the callbook, add a new QSO, type a call, and press {Tab}.

Auto logging from the callbook will not overwrite any info that is automatically logged with the Copy from Previous QSOs feature. If you want to overwrite the data copied from previous QSOs, use the Copy from Callbook option of the Log menu.

If you choose to have Name logged automatically, you may choose to have Last Name and/or Middle Initial logged also. Note that this fea-ture does not work with all databases. See below.

If you have the CNTY field enabled in the log form, and have auto log-ging of name and QTH turned on, LOGic will automatically log the county if available.

You will probably not be QSLing everyone you talk to. You may leave Address unchecked so that the address will not be logged for every QSO. If you then work someone that you plan to QSL, there is an op-tion in the log menu that will copy the address for the currently--displayed QSO. This feature is useful for logging QSL manager's ad-dresses. If there is a valid call in the Via field, this option will log the address of the manager. Note that this feature will overwrite any exist-ing address.

There are also options in the Log menu to do a callbook lookup without logging anything, or to log info for the call currently displayed in the log form. Use this option if you have auto callbook logging turned off, but wish to copy name and QTH from the callbook. Note that this fea-ture will overwrite any existing name or QTH.

Note that not all callbooks support all features. For instance, some da-tabases do not have grid square or county. Also, some databases do not separate first, last, and middle names. If this is the case, LOGic will log the full name even though you have only First Name selected for auto logging.

The callbook form must be open in order to interface the log form to the calbook. If the callbook form is not open, it will be opened auto-matically. If you do not want it taking up screen space, you may mini-mize it.

Copying From the Callbook Form to the Log or QSL Routes Screen

There is a Copy button on the Callbook forms. Clicking this causes the displayed info to be copied to the last-active log form or to the QSL Routes form.

Callbook Batch Lookup

If you import data into LOGic, or log QSOs in LOGic without using auto callbook lookup, you can use Callbook Batch Update, found in the Tools menu.

Select whether you want to use the CD-ROM or Web callbook. You may also enter select criteria to limit the records that are processed-perhaps everything after a given date.

This feature will not overwrite existing data. However, it never hurts to make a backup before using this feature.


Contesting

LOGic's contesting system comes set up for many contests. However, it is unique in that it allows you to specify the rules to work and score almost any contest. Online real-time scoring, dupe and multiplier check is provided. The packet cluster spot feature spots needed. All of LOGic's features such as online awards check, beam headings are fully functional. Contest logging is done just like regular logging. You do not have to learn to use another program.

LOGic's automatic logging of data from previous QSOs is fully supported. This is excellent for copying exchange information from previous QSOs.

While LOGic supports multiple log files, LOGic normally keeps its contest QSOs in the same log file as the rest of your QSOs. This allows LOGic to count these QSOs towards your awards progress and makes QSL management no different from QSLing other QSOs. Since all log data is kept in the same file, the Copy from Previous QSO function will copy a requested item from a previous QSO that was for a completely different contest, or even from a non-contest QSO.

Operating a Contest

Before using a contest that comes with LOGic, or one that you previously defined, you must make a few changes. Select Log from the Forms menu, then select the contest that you wish to operate. If you do not see the contest you want to operate, you may make your own contest form. However, check with PDA first. Chances are we will have the contest already set up, or will set it up for you. Please make your request at least a week before the contest! New contest forms are available on our web site.

To begin, select Setup from the Log menu. First of all, read the Description window in the General page. It tells you some specifics for that particular contest, such as which fields to log the received exchange in.

Specify the next transmitted serial# to be assigned, or 0 if you do not want to log transmitted serial numbers. Even if the rules do not require sending a serial#, you may want to enable this feature, as it provides a handy QSO count. The figure in this field may be left over from the last time you ran this contest. Enter 1 here to start a new contest. If the system crashes while contesting, be sure to check and if necessary manually update the Next Serial# setting.

Set the Start and End dates so that they encompass the period over which the contest occurs. Be sure to use UTC dates. These dates are used by LOGic to separate QSOs from the current contest from QSOs made with the same screen configuration for a previous contest. The End date may be left way off in the future unless you want to score a previous contest.

To activate contest mode, just load the contest configuration with the Select Log Screen option of the Main menu. Go to the Log screen to work the contest.

If you do not have a computerized rig attached to your computer, be sure to set the proper band and mode before logging the first QSO, as well as when changing bands and modes. To change without actually logging a QSO, use the mouse to select the band from the dropdown menu. This is necessary because LOGic must know the current band and mode when entering the callsign so that it can do a dupe check.

To check for a dupe without actually logging a station, enter the callsign and press { [image] }. For a detailed list of the previous QSOs for that station, use the Display Previous QSOs option of the Log menu pad.

To cause on and off times to appear in the contest log printout, enter *ON or *OFF in the Call field. Place the proper date and time in the QSO Date and Time On fields.

When working a station that is already in your log, LOGic will display the Worked before indicator as usual. This message does not mean that the QSO is a dupe. The message is generated by the Copy from Previous QSO feature, not the duping feature.

If you log a dupe--by mistake or on purpose because the other station insists that it is not a dupe--LOGic will mark the QSO as a dupe when the contest log is printed. It will not be scored.

Multipliers are checked just like awards progress. Select the field you wish to track, and select (multiplier) for the subaward.

LOGic places an identifier in the Contest ID field. The fact that this field is not empty identifies the QSO as a contest QSO. LOGic uses this field to locate the proper QSOs when scoring the contest.

If the system crashes or you delete any QSOs, select Rescore Contest from the Tools/Misc Utilities menu. This completely regenerates all dupe and multiplier info.

Scoring the Contest

While working a contest, your up-to-the-minute score and multiplier count is displayed. You may also check your QSO rate per hour.

After the contest, you may export the data in the ARRL Cabrillo format for submission. Go to tools/export on the menu bar.

To print contest logs, go to the Report menu, and run CONTEST. A contest log must be selected LOGic will read the QSOs for the current contest based on the CONTEST ID field and the dates entered in the Screen Configuration.

The Contest Summary report gives point breakdown by band, and other information not printed in the summary at the end of the Contest report.

LOGic will proceed to print a log of the contest. New multipliers are indicated the first time they are worked. Duplicate QSOs are marked. A score is printed at the end of the report.

Contest Dupe Sheet is a report that prints all QSOs in the contest in callsign order. It is used for contests that require such a listing be included with the submission.

You may score an old contest by changing the Start and End dates in Edit Screen Configuration to encompass the dates that the old contest occurred on.

You may submit logs for ARRL contests on diskette or via internet. Select Tools/Export from the menu bar.

Setting up your own contest

The power of LOGic's contesting system is that it works in conjunction with LOGic's custom screen layout and user-defined field facility, plus allows you to easily define the rules for nearly any contest. The contests you create are saved as log forms, and may easily be reused when this contest rolls around again.

Before setting up your own contest, check our web site in the support area. Chances are, we have already set the contest up for you. If not, we will be happy to do it for you. Please try to plan ahead and give us a couple weeks advance notice!

One important rule to remember when setting up a contest: All information required to score a contest must be logged, even if the item is not required as part of the exchange. For example, a contest may give more points per QSO if the station being worked is in a continent other than your own. So, you must log the continent. The Copy from Prefix Table makes this automatic. More frequently, DXCC countries count as multipliers, so you must log DXCC in the country field. As you know, LOGic does this automatically in almost all instances. So long as all necessary data is logged, you may create a screen to score it at a later time!

In most cases, it is easier to copy an existing contest form that is somewhat similar to the new contest that you wish to create, then modify the copy. Go to Contest on the menu bar, and select File Manager to copy an existing contest. Open the copy from Contesting/Open contest log form. Go to Log/setup to access the contest setup.

As an example, let's set up a contest for Novice Roundup. (Novice Roundup is included with LOGic. You can open it and follow along).

Set the Default RST fields to 59(9)? to Y in the general options window. Novice roundup requires exchange of signal report, and this will place 59(9) in the RST fields for you. Note this this feature works for all log forms, not just those used for contesting.

We now proceed to define the contest rules. Make sure the Contest Mode box is checked in the Contesting/General page. Fill in the dates as discussed previously. Serial number is not required for Novice Roundup, but you may wish to enable it to provide a QSO count.

The contest report automatically prints callsign, dates, times, Serial#s, and RSTs. We can add up to two other columns. For Novice Roundup, we must report ARRL SECT. Use the MAKE_TAG function to extract this. Use

TAG_VAL("ARRL SECT:",USERFIELDS)

for the expression. Enter ARRL SECTION for the column heading.

Duping

Next, set up duping. Many contests permit you to work a station once per band and/or mode. In this situation, setting this up is simply a matter of checking the appropriate boxes. Novice roundup is a bit more complicated. The rules allow you to work a station once on a voice mode, and once on a digital mode (CW is considered a digital mode). However, LOGic can handle this with no problem. If you enter an expression Additional Dupe Criteria, LOGic's duping will consider the results of this field. If it is different than other QSOs logged for the same station, it will not be counted as a dupe.

For Novice Roundup, enter this expression:

IIF(MODE="CW" OR MODE="RTTY" OR MODE = "PKT" OR MODE="TOR", "D", "V")

This returns "D" if the mode is CW, RTTY, PKT, or TOR, and "V" otherwise

Additional Dupe Criteria may be used in conjunction with standard band and mode duping.

The following expression in the FROM expression of Copy from Prefix Table will place D or V in the NR MODE: field automatically:

MAKE_TAG("NR MODE:",IIF(LOG.MODE="CW" OR LOG.MODE="RTTY"

OR LOG.MODE = "PKT","D","V"))

Enter COMMENT for the TO field. "D" will be logged for CW, RTTY, and PACKET. "V" will be logged otherwise. We will leave the default entries that copy the DXCC country, CQ zone, and continent tagged field in the Prefix table. This will automatically log the country, which is needed for multiplier check and scoring.

Multipliers

Select a field for each multiplier to be tracked. If there is no appropriate field listed in the dropdown menu box, add a user-defined field. For Novice Roundup, the multipliers are ARRL Section and DXCC country.

Let's set up the ARRL Section multiplier. Enter ARRL SECT: for the field. LOGic will mark our multiplier progress in an internal field of the ARRL SECT: records of the lists table. Next, enter a character expression that results in an ARRL Section. Again, we will use the TAG_VAL function:

TAG_VAL("ARRL SECT:",USERFIELDS)

If no ARRL Section is logged, TAG_VAL returns an empty expression. LOGic ignores blank multiplier expressions.

In VALUE field, enter the number of multiplier points for each multiplier worked. This is 1 for most contests. But if the rules allow you to multiply the QSO points by two or three (or more) times the number of multipliers worked, LOGic can handle it.

If you check the Bonus box, the "multiplier" points will be added to the QSO points instead of multiplying.

If a contest counts a multiplier on each band or each mode, check the appropriate box. Novice Roundup counts a multiplier only once, so leave these fields set to N.

Some contests allow a maximum number of points for a given multiplier. If this is the case, enter that number here. Otherwise, leave the default huge number.

For the DXCC: multiplier, enter DXCC: for the tag. Setting up the DXCC multiplier is a bit more complicated, since a QSO with an ARRL Section does not count as a country multiplier. We can use IIF() in conjunction with the logical expression

"ARRL SECT:"$USERFIELDS

to see if an ARRL section is logged. If there is, we simply return a null character expression. Otherwise, return the country. Here is the complete expression:

IIF("ARRL SECT:"$COMMENT,"",USERFIELDS)

For contests where only certain countries count as multipliers--for example, all countries in North America--you could create a new list with a different tag (DXCC NA:, for example), and LOGic's packet cluster spotting will spot only countries on the new list.

QSO Points

The QSO Points window allows you to define how many points to assign to a QSO. Four sets of logical expressions and point values are provided. When scoring, LOGic evaluates each of the logical expressions, and adds together the point values for the expressions that evaluate to true. If all expressions evaluate to false, the points in the Default Score field is assigned. For Novice Roundup, we get 2 points for a digital QSO, and 1 point for a voice QSO. For the first logical expression, enter:

IIF(MODE="CW" OR MODE="RTTY" OR MODE = "PKT" OR MODE="TOR", "D", "V")

This is the same expression we entered for duping. Enter 2 for the QSO points. To handle Voice QSOs, simply put 1 in the Default Score field. If a contest allows working a station for multiplier points, but not QSO points, enter an expression for each possible scoring condition, and enter 0 in the Default Score field.

Note that the field for points will accept a numeric expression. This allows great flexibility in scoring a QSO!

Press {Esc} to exit the contest windows.

Finally, enter some notes and instructions for working the contest in the Description window of the General page.

Cabrillo

If contest submission will be made using the ARRL Cabrillo format, select the proper contest type on the Cabrillo page.

Enter the received exchange expression(s) to be exported. Here, we are exporting ARRL Section.

You may enter an expression for the transmitted exchange. If you leave it blank, you will be prompted for the exchange expression when doing the export. Since nothing is filled in, the operator must enter his ARRL Section when doing the export.

Finishing up

Everything else for setting up the contest has already been discussed.

For Copy from Previous QSO, all we are interested in is ARRL SECT. The wizard will enter this expression for us:

TAG_FLD("ARRL SECT:",USERFIELDS)

Using the techniques discussed previously, set up the screen with the needed fields. We will use a user-defined field for ARRL SECT: Put the ARRL SECT field first, then the RST fields, then country. We will leave the VIA field enabled so that we can record any managers that DX stations give us. Position the columns in the browse window so that the pertinent information is shown, and we are done!

If your contest uses user-defined fields that you added to LOGic yourself, it is a good idea to set up the log form so that they will be added automatically. That way if you share your setup, the other users of your contest will not have to enter the user-defined fields in tools/setup/log fields themselves.


Customizing Copy from Previous QSOs and Prefix Table

As we have already seen, LOGic allows unsurpassed flexibility in setting up your log screen. Advanced users have full control over the Copy from Prefix table and Copy from Previous QSO feature. These features are configured on a screen-by-screen basis with the Setup option of the Log menu.

Prefix Table

To control copying of items from the Prefix table, simply specify a character expression, and a field in the Log screen to copy it to. Any expression that evaluates to blank will be ignored.

Here is a discussion of some possibilities. To copy the DXCC_PFX field of the Prefix table to the DXCC field of Log, enter DXCC_PFX for the from expression, and DXCC for the Log field.

To copy something from the Prefix table into a user-defined field in LOGic, use the MAKE_TAG() function to create a complete tagged field, and copy the result to USERFIELDS. Let's do CQ Zone. MAKE_TAG("CQZ:,CQ_ZONE) will result in (assuming we are working Zone 20) CQZ:20|. If the CQ_ZONE field in the prefix table happens to be blank, MAKE_TAG() will return a null string, so we will not end up with a CQZ: tag without any value with it in the Comment field.

Copying from the Prefix table may be done conditionally. For instance, you will probably not want to log a CQ Zone for your own country. This will leave more space in the comment field for regular comments. Just use the IIF() function to test a condition, and include a null expression ("") and the expression to be logged as appropriate. For example:

IIF(DXCC_PFX="K ","",MAKE_TAG("CQZ:",CQ_ZONE))

When logging from the prefix table, LOGic will evaluate the first parameter, which is a logical expression. If it is true (the country is K), the first expression--a null expression--will be returned. If the logical expression is false (the country is not K), the tagged CQZ: value will be returned. The variable GLOBAL.MY_DXCC contains your country as entered in the General Ham Setup screen, so you may substitute GLOBAL.MY_DXCC for "K ".

The expression LEFT(LOCATION,AT("|",LOCATION)) will return a tagged field such as VE PROV: or OBL: from the Location field of the Prefix table. If no tagged field is in the Location field, a null expression will be generated. The contents of the Location field will not be copied.

The Copy from Prefix Table feature does not actually have to copy an expression from the Prefix table. It can be used to log anything. You can set up a default value for almost any field by copying a literal character expression. For instance, entering R in the FROM expression and QSL_SENT in the TO field will automatically put "R" in the QSL Sent field for all QSOs added.

To automatically log the WPX prefix, use MAKE_TAG("PFX:",WPX_PFX(LOG.CALL))as the FROM expression, and USERFIELDS as the TO field. Note that is necessary to prefix CALL with

LOG.

so that LOGic will look in the log file for the call. When copying from the Prefix table, it normally looks only in the Prefix file.

Placing this expression in Copy From Prefix Table looks up the callsign from the description field in the 1010 list, and automatically logs the 1010 number.

MAKE_TAG("1010#:", GETLISTVALUE("1010#", LOG.CALL))

The 1010 database may be downloaded from http://hds.net/win1010dl.htm and imported with the Import 1010 miscellaneous utility.

Previous QSOs

You also have complete control over copying data from previous QSOs. Setting this up is done in much the same way as copying from the Prefix table. Specify an expression to copy, and a field to copy to. Selecting a field to be copied from the Wizard column will fill in the expression and copy to fields for you. This will handle most needs.

To copy tagged fields, copy the complete tagged field--tag, value, and terminator--to the USERFIELDS field. The TAG_FLD() function makes this easy. It searches the specified field for the tag, and returns the tag, value, and terminator. For example, to copy AGE: from a previous QSO, enter TAG_FLD("AGE:",USERFIELDS)as the FROM expression, and Comment as the TO field.

When you enter a call, LOGic looks for a previous QSO with the station being worked, and evaluates all expressions. If one of them evaluates to blank, it will look for another previous QSO. It repeats this process until all expressions have found a QSO which allows them to evaluate to non-blank, until all previous QSOs with that station have been read, or the limit set by the Maximum number of previous QSOs to scan option is reached. Note that when LOGic is scanning previous QSOs, it looks only at previous QSOs with the same station. If you enter 10 here, then work W1AW, that doesn't mean that LOGic looks only at the last 10 QSOs in the log. It looks at the ten most recent QSOs with W1AW.


CW Keyer

LOGic incorporates a CW keyer that transmits Morse code using a parallel printer port or a serial port, and an inexpensive interface. The keyer incorporates programmable function keys, a Compose window for preparing a message to be sent while you are listening to the other station's transmission, and real-time dual-window keyboard transmission with typeahead buffering. Speed, weight, and Farnsworth are adjustable.

Note that while LOGic's CW interface cannot receive (receiving CW with software is not practical), most multimode controllers can transmit and receive CW. LOGic's data terminal interface fully supports CW.

To use LOGic's keyer feature, you will need an available parallel printer port or serial port, and an inexpensive interface circuit to connect your transistorized rig's key jack. You may build your own parallel interface using the schematic, or purchase one from PDA. Interfaces built for other programs may also work. Since the parallel port sits directly on your computer's bus, serious damage could result from stray voltages or RF. The unit sold by PDA is optically isolated for maximum safety.

To access the keyer, select Keyer from the Forms menu. Select the Setup page. To enable the keyer, select the address of the parallel port which the interface is plugged into in the General Ham Setup screen. Click the device manager button to run Windows device manager. From here you may determine your parallel port's address. However, trial-and-error is probably easier. Just select an address from the dropdown menu field then click the Test button. If your rig keys, you are in business!

You may set weighting, spacing, etc. from this page. The self-calibrate function sets timing parameters, which may vary slightly from one machine to another.

Speed may be changed on-the-fly while transmitting, using the up and down arrows.

In addition to function keys, there are two modes for transmitting CW. The keyboard mode sends CW immediately. Typeahead buffering is provided so you can type faster than you are sending. The backspace key may be used if the characters have not been transmitted yet.

The Compose mode is great for rag chewing. As you listen to the other station, you may enter your transmission here. Full editing is provided, and there are tools to insert common QSO items.

To transmit compound character pairs, precede the characters with a single quote. For example:

'BT 'AR 'SK 'HH

The backslash ( \ ) character also transmits 'BT.

Keyer Function Keys

The programmable function keys are set up in the Log/Setup menu. They are programmed and used like LOGic's terminal function keys. However, It is not necessary to use TRIM() to remove trailing blanks from the LOG database fields. Subsequent spaces are automatically removed. For example "HI " + NAME + "TNX FER THE CALL" will send "HI BOB THANKS FOR THE CALL" even though the name field in the database contains spaces after the name. However, you may force a pause by including an underscore character in the function key expression. For example: "CQ CQ CQ DE WN4AZY____ CQ CQ CQ DE WN4AZY"

Use the KEYERFUNC() function to insert the contents of one terminal function key in another. For each function, pass one parameter: the number of the function key to insert (1 through 20).

Example: Suppose that function key 1 has CALL + “ DE “ + OPERATOR in it. You insert this in function key 2: KEYERFUNC(1) + “ TNX FER THE CALL” Function key 2 could transmit WN4AZY DE N6MRQ TNX FER THE CALL

Compound characters may be included in function key expressions. For example "'BT".

For help with keyer expressions, see Expressions and Functions.


Data terminal and packet cluster interface

LOGic includes a feature-packed data terminal program and packet cluster interface. This feature may be used not only with TNC's, but any serial device. It is great for working RTTY, AMTOR, CW, and other digital modes. You could even use it to dial your modem and log onto your favorite landline BBS. The terminal program features a capture buffer, programmable function keys that may transmit variable data from the log screen, and full integration into LOGic's awards progress tracking facility for spotting of not only DXCC countries, but zones, prefixes, oblasts, and anything that may be determined from the callsign.

Terminal Setup

To set up the terminal, select Tools from the menu bar, them select Setup/Misc Ham Setup. Select the Data Terminal page. Specify the port that the device is plugged into. Select the baud rate, word length, and parity that match your TNC or multimode controller. These parameters must be set the same in LOGic and your controller! See your controller's manual for setting these parameters. The most popular options for word length and parity are 8 and none or 7 and even. If you receive only garbage from your TNC, the baud rate is probably wrong. If about half of the characters displayed on your screen are correct and half are garbage, parity and word length are probably wrong.

Entering a COM port for a terminal in General Ham Setup causes a terminal window to appear on your screen. This form may be minimized, but not closed. If you do not have a TNC, and do not want the terminal window displayed, make the COM port for the terminals is set to none.

LOGic uses transmit and receive buffer sizes for all ports. The receive buffer is used to hold data that is received from the serial device while LOGic is not reading the port because it is doing something else. If this buffer starts filling up, LOGic will send a handshake signal to the device telling it to stop sending. Likewise, the transmit buffer holds transmitted data when LOGic sends it too fast for your device to process. Select a handshake protocol. Hardware RTS/CTS is the most common and the best. It requires that the RTS and CTS lines be wired in your cable. Most commercial serial cables support this. See RS-232 pinouts. Software Xon/Xoff flow control is also supported.

Make sure that your serial device has full duplex or echo mode enabled. Otherwise, you will not be able to see the commands you type. LOGic's terminal interface does not support half-duplex local-echo serial operation. Make sure your controller is not in host mode.

See your controller's manual for instructions on operating it. Commands will vary from model to model.

Using the Terminal

When you enable the terminal, a movable, sizeable data terminal window appears. Any data received is displayed in the lower portion of the window.

There are several modes for transmitting data. You may place the cursor into the lower output area of the form. This functions just a typical computer terminal. Every character you type gets sent out the serial port immediately.

Two buffered modes are supported and are much better for amateur digital communications. The Packet mode is best for accessing packet BBSs and reading or typing long messages. Your typing is stored in the input field, and not sent to the TNC until you press {Enter}. This allows full editing with the {Backspace}, {Delete}, and arrow keys, and mouse. While you are typing, your device may continue to receive data, without the scrolling display interrupting your typing. A scrollable redo buffer saves time when resending the same or similar lines several times. Press the up and down arrow keys to browse through the redo buffer, or click the arrows with your mouse.

The Word mode is ideal for character modes such as CW, RTTY, or AMTOR. Packet mode would not be acceptable for these modes because there would be no transmission until you finish typing a line and press {Enter}. Word mode also buffers your data, but instead of transmitting the whole line when you press {Enter}, it transmits each word when you press {Space}. This allows use of {Backspace} to correct typos, yet provides a continuous stream of data to your controller.

The capture buffer contains all data received from the controller. (Since Echo is enabled, you will see what you type as well as what is received off the air.) You may page back to see what has scrolled off the receive window, but it will jump to the bottom again whenever data is received. If you need more than a quick look at received data, click the Capture button. This places the receive window with a capture window. It is an Edit window, so all Windows search features as well as Copy may be used. This is great for saving third-party traffic or an interesting QSO. Just select and copy the data, then paste into Notes on the log form! Of course you may paste into any other Windows application that accepts text, such as WordPad or your favorite word processor.

While viewing the capture window, LOGic continues to receive data and place it in the receive window. However, the capture is not updated until you click the Capture button. This allows uninterrupted viewing.

The Options button allows you to turn off the beep sound when receiving, and select the Always On Top option. There are also buttons for sending a break signal, clearing the capture buffer, and sending a DX spot.

LOGic supports up to two TNCs or multimode controllers simultaneously, each with its own terminal window.

The terminal window is always open. You may minimize it, but not close it. It will only disappear from your screen if you disable it by entering (None) for the port in Misc Ham Setup.

To send a spot, click the spot button. Click here for more info.

Auto Logging

The terminal interface provides fully automatic and assisted manual logging of information from data received.

There are four methods of logging text from the terminal. Each has advantages in the amount of control offered versus the amount of ease and automation provided.

Of course you may copy from the data terminal window and paste in the log window using the Edit menu or standard Windows keyboard shortcuts. Any text may be copied to any field in the log form. This offers the most control, but it is the least convenient.

The second method is to double-click the text you wish to log. LOGic will attempt to figure out where the text goes, or at least narrow down the selection as follows.

  • Clicking a valid WAS two-letter state abbreviation will log the state.

  • Clicking a single-word QTH followed by a valid state will log the QTH and state.

  • Clicking the word QTH will attempt to log the QTH.

  • Clicking the word Name will attempt to log Name.

  • Clicking the word QSL will attempt to log Via.

  • Clicking the word VIA will log the word following in the Via field.

  • Clicking on DE (as in N6MRQ DE WN4AZY) will cause the call after DE will be logged.

  • Click on an RST, and you will be prompted for Rcvd or Sent.

  • Click a valid callsign, and you will be prompted for Call or Via.

When you are prompted for a choice, the most likely choice is listed first in the menus, so in most cases you can simply press {Enter}. If none of the above determinations can be made, you are prompted for Name, QTH, Via, or Comment. If something is already in the comment, it will be appended to the end of the existing text.

However, suppose that you want to log several words? For instance, Santa Cruz, or several lines to be copied to notes or address? To accomplish this, hilite the desired text by dragging the mouse cursor over it, then right-click. Some of the same data analysis is done as when double-clicking. Additionally, if you select more than one line of text or a long string of text, LOGic will assume you want to copy it to Notes or Address. The text will be appended to the end of any existing data.

Logging by double-clicking or selecting and right-clicking may be performed on either the data output window or the capture window.

Finally, there is fully automatic logging. LOGic watches the data stream for keywords such as DE, NAME, QTH, or VIA, and automatically place the data in the log with no action on your part other than to review it to assure it was done properly. LOGic makes several assumptions based on the text that normally occurs in a QSO. If the received text does not conform to the usual pattern, it may log data incorrectly or not at all. In this case, simply fix it manually using any of the aforementioned methods.

Automatic logging depends on your Name and QTH entered in Station Info to tell if a name or QTH appearing on the screen was sent by you or the remote station. As a result, it will not log another station with a name or QTH identical to yours. Also, automatic reception will not overwrite any data already logged. Furthermore, you must have a new QSO displayed on the screen. When it is saved to disk, auto logging will no longer function until you add another record. This is unlike any of the previous methods discussed, which will always log the selected text unless you click Cancel. You may disable automatic logging in Options. You will want to disable auto logging for any Telnet session or TNC used for DX spotting.

Function Keys

LOGic's terminal features twenty programmable function keys (also called Macros) that can insert data from your log. This is perfect for pushbutton generation of standard ragchew or contest exchanges.

Before setting up function keys, it is important to understand Expressions and Functions.

Select Log/Setup from the menu bar. First, select the Rig, Rotor, and Terminal page to associate the log form with a TNC or multimode controller. By default, the log form is associated with terminal 1. Now select the Terminal Function Keys page. Each log form will allow you to define up to 20 function keys. This permits separate bank of 20 keys for each operating activity or contest. For each key that you wish to program, enter a short description and a character expression to be transmitted. Literal values must be enclosed in single or double quotes. For instance:

"CQ CQ CQ DE WN4AZY WN4AZY CQ DE WN4AZY{CR}"

Note that LOGic does not automatically send a carriage return at the end of a function key transmission. To send a carriage return, simply include {CR} in the expression. This flexibility permits you to transmit more than one line with a single press of a function key, or not transmit the line at all so that additional keyboard input may be appended to the contents of the function key. Other control characters or line-drawing characters may be sent by including their decimal values in squiggly brackets. For instance, {7} sends a bell character. Note that contrary to popular opinion, {0}, or null, is not the same thing as a Break signal. A break signal is a hardware alteration of the voltage on the transmit line, and not an ASCII character. A break signal cannot be sent with a function key.

The real power of LOGic's function keys lies in their ability to transmit data from the log file. Simply include the field name in the expression. Click the expression builder box [image] for a list of fields. Use the TRIM() function to remove trailing spaces from fields. For example:

TRIM(CALL)+" DE "+TRIM(OPERATOR)+" TNX FOR THE CALL "+TRIM(NAME)+"{CR}"

An example of what this may send:

N0OB DE WN4AZY TNX FOR THE CALL MAC

Note how we used the Operator field for our callsign. This will cause LOGic to send DE followed by the callsign of the operator currently using LOGic. We do not have to change the function key setup when changing operators! The other operator's name will be transmitted after "Tnx for the call" if his name has been logged or copied from a previous QSO.

We can use the IIF() function to conditionally send a message. For example:

TRIM(CALL) + " DE" + TRIM(OPERATOR) + " TNX FOR THE CALL " + TRIM(NAME) + IIF(EMPTY(RST_SENT), "", " YOUR RST IS " + RST_SENT) + "{CR}"

This sends the message given in the previous example, but appends YOUR RST IS and his signal report if RST_SENT has been logged. You may even use LOGic's time and date functions for setting the TNC's clock at the push of a button!

For sending the transmitted serial number while contesting, use the STX() function. You may specify the number of digits to send. For example,

"UR NR " + STX(4)

will send

UR NR 0001

If you do not specify a parameter, STX() will send the serial number with no leading zeros.

To use function keys once you have programmed them, select Terminal Function keys from the Log menu. Each function key is listed with its description. Keyboard shortcuts are provided.

Use the FILE_TXT() function to transmit a "brag tape" text file that you have previously saved to disk.

Use the TERMINALFUNC() function to insert the contents of one terminal function key in another. For each function, pass one parameter: the number of the function key to insert (1 through 10).

Example: Suppose that function key 1 has CALL + “ DE “ + OPERATOR in it. You insert this in function key 2: TERMINALFUNC(1) + “ TNX FER THE CALL” Function key 2 could transmit WN4AZY DE N6MRQ TNX FER THE CALL

Using function keys

You can access function keys from the menu bar in the log form. (No menu option will appear if no keys have been programmed). From this menu you may also show or hide a dockable button bar. Hold the mouse on top of a button to see a description of the function key and what will be sent if the button is pushed. If the text to be sent is long, the display will be truncated.

You may also send function keys from the buttons on the Terminal form. Hold the mouse on top of a button to see a description of the function key and what will be sent if the button is pushed. If the text to be sent is long, the display will be truncated.

If you have more than one log form open, the terminal window will use the key definitions from the last-accessed log form.

Watch for

This feature permits you to enter a list of words to watch for in incoming data. Whenever any of the specified words are received by a terminal or telnet, you will be notified by CW and voice, and a note will be made in the received data window ant the capture window.

Go to Tools/Setup/Misc ham setup/Watch for. Enter a list of words you want to watch for, separacted by a comma. You may want to include your callsign so you know when someone is talking about you, or *** CONNECT so that you will know when someone connects to you. The watch-for feature ignores differences between lower-case and upper-case text.

Notes

The data terminal window cannot be closed if you have specified a data terminal port. However, you may minimize the Data Terminal windows. This assures that the received data has a place to go. Data will be accumulated in the Capture window even when the data terminal is minimized.

If you truly are not using the Data Terminal window and wish to close it, select (None) for the Data Terminal port.

LOGic interfaces to the PKterm, PacTerm, and Multicomm Host data terminal software products from Creative Services Software http://www.cssincorp.com.

Simply select the option from the Forms menu. The interface functions exactly like LOGic’s terminal facility, except that instead of sending and receiving data using a serial port, it sends and receives data from CSS’s product.


Database Command Form

Database command form and user-written utlilities and functions

Database commands form

LOGic includes a facility that permits advanced users to execute most xBase-style commands to accomplish things like performing mass changes or deletes, or importing and exporting data in formats not supported by LOGic's import/export facilities. Access it from the Tools menu under Advanced.

A summary of commands is not provided with LOGic, as they are too numerous. The best source is a book on Visual FoxPro. Any xBase book, available from most libraries, will get you started. You may look in the UTIL folder inside LOGic for examples. Open any of the files with a .PRG extension with any text editor.

However, it is not necessary to know any xBase commands to use the database command form. There are menu options to help you open and close files and perform batch changes and deletes. You can also browse and edit your data.

The database command form is very powerful. It is possible to execute commands which will erase or corrupt your data. Unless you're absolutely sure what you're doing, please make a backup before using the database command form.

User-written utilities and functions

Built-in compiler features permit advanced users to use full FoxPro language features to write miscellaneous utilities and functions. All FoxPro commands are supported, including functions, looping, and Do Case. A text file with a .PRG extension, containing FoxPro commands, may be placed in the UTIL folder for easy access. You may use the ones packaged with LOGic as examples. The program is compiled each time it is run. If any compile errors are encountered, you will be notified, and will be given the option to edit your program.

Additionally, advanced users may write and compile their own functions to be used in the report writer, contest scoring, or anyplace in LOGic where expressions are used. Write the function and put it in a text file named the same as the function you are writing, with a .PRG extension. For example, if you are writing a function named score_podunk_test(), the file must be named SCORE_PODUNK_TEST.PRG. The file may contain other functions called by score_podunk_test().

To compile, go to tools/advanced/database commands. Type COMPILE followed by the name of the file. This will create a compiled module with the same file name but with a .FXP extension. This file must reside in the LOGIC5 home folder.

Of course this advanced feature makes it possible to totally screw up your data. So unless you know what you are doing and never make mistakes, make a backup of your data!


Database Maintenance

LOGic is a sophisticated database application. All databases require periodic maintenance.

Clean

In the Windows start menu is a Clean up indexes and temporary files icon. This removes any temporary files left over by LOGic should the power fail or your system crash. You may delete any files in the TMP folder yourself. Also, any files with a .TMP, .BAK, or .TBK extension may be deleted from LOGic's folders.

Clean also removes all indexes so that they will be rebuilt the next time you run LOGic. If your system or LOGic ever crashes, it is a good idea to to a Clean. For performance reasons, index files are not flushed to disk very often, so they are often damaged by system crashes. This is not a problem, since they may be easily reconstructed. Bad indexes may cause program errors (typically "record is out of range"), or cause some records to appear to be missing.

Database Maintenance

In the Tools menu is Database Maintenance.

  • Reindex. Recreates index files. Index files can become corrupted due to a power failure or computer crash. If LOGic starts behaving strangely—not displaying data that you know is there, or displays index errors, run this Option. Running Clean as described below will also cause indexes to be rebuilt.

    This option is also used by LOGic to create indexes when you install the program.

  • Pack. LOGic normally recovers space used by erased records when you add new data. However, the Pack option recovers this space immediately. You can run this if you erase a lot of records. It also compacts memo fields (notes, addresses, and bio).

  • Sort places the data in the database in physical order on your hard drive for maximum access speed. LOGic's copy from previous QSO feature will get the most recent QSO first only if the data is sorted. If you import data or enter data out-of-sequence, run this option


DX and Direction approximations

The distances and directions calculated by LOGic based on callsign or state is not exact.

Based on the callsign, it is impossible to know exactly where the station is. For example, if you enter a VK6, LOGic will know that the station is Western Australia, and give the coordinates to the approximate center of VK6-land. However, the station may be located anywhere within Western Australia. The may be off by several hundred miles.

The accuracy of the direction approximation will vary according to how far away the other station is. The farther away the other station is, the more accurate the approximation will be. For working DX, the error will be insignificant. For stations in a neighboring country or state, the error could be significant. For a station in your own call area or state, the DX direction will be meaningless. The figures displayed are the approximate distance from your station to the center of your state or call area.

If a grid square is logged, the DX and direction will be quite accurate. Note that the grid squares returned by callsign databases are approximations based on ZIP code, and not necessarily the station's actual location.

For exact computation of DX and direction, use the DX Calculator under the Tools menu.


DX spotting

If you have access to a packet cluster station or the internet, LOGic will take full advantage of it. LOGic's spotting works in conjunction with its online awards progress check to notify you not only of needed DXCC, but also CQ Zones, ITU Zones, WPX prefixes, Continents, IOTA, and awards entities such as VE Provinces and Oblasts that are stored as tagged fields in the Location field of the Prefix table. Subawards™ may also be spotted.

Disable any filters that you have set on the host machine. With LOGic, you will not need to keep the host informed of which spots you do not want. LOGic will compare spots with your awards progress, and filter the unneeded ones automatically. If you have filters set so that unneeded country spots are not announced, this could interfere with LOGic's spotting of non-DXCC awards such as prefixes, zones, etc.

Band Table

Next, go to the Band Table form from the Tools/Setup/Bands menu. Here, you can control spot announcement for each band segment. Set the Band table up to accurately reflect your license class. This will prevent announcement of spots that are on frequencies that you are not allowed to operate, and will warn you if you log a QSO that is out-of-band. You may also enter an offset for LOGic's antenna rotor interface to compensate for multiple beams mounted on the same boom at an offset to lessen coupling.

Make sure a mode is entered for each band segment you wish to spot. The packet cluster does not send the mode, so this Band table entry is used for determining the mode from the frequency transmitted with the spot.

For each band segment and each award, you can specify all or any of four different conditions that you should be alerted. These conditions are:

•1 Needed on all bands and modes (not worked/confirmed)

•2 Needed this band

•3 Needed this mode

•4 Needed this band and mode

For each award, enter any or all of 1, 2, 3, or 4. For instance, if you are working on mixed band/mode DXCC, as well as a CW-only DXCC, Enter 1 and 3 in the DXCC field for each band segment which you operate. If you are working on a 20M CW award also, add 4 to the 20M CW segment.

You may independently control spotting for DXCC, CQ Zone, ITU Zone, Prefix, Continent (why not get a 5-band WAC on your favorite mode?), and Misc Field. The Misc field controls spotting of awards entities that are entered in the Location field of the Prefix table. For example, VE provinces or oblasts.

If you add or delete bands, be sure to do an Awards Progress Update from the Tools menu.

Log Fields Form and spotting

You must also tell LOGic which awards and subawards to spot in the Log Fields form. Simply check the ones you want.

Spot Log Form

From the Forms menu, select Spot Log.

Now, when a spot is received, LOGic will check your Awards table. If a spot is needed, the information will appear in the spot log grid. The same spot may generate more than one spot log entry. For instance, the station may be needed for DXCC as well as WAZ.

Each spot will list the award the spot is needed for, the value (i.e. the DXCC country, zone, etc.) the subaward if any, and the band and mode the spot is for.

Color coding makes it easy to tell you status for the spot. A red value means that it is a totally new new entity for you, needed for your mixed/mixed award. A red band or mode indicates that the QSO is needed on the respective band and mode. If the band and mode are underlined, you need the station on that band/mode combination.

The spot log records a record for each spot received. Check the Show all box to see all spots, including the ones you don't need. The setting of this control does not affect spot announcement.

The spot log has buttons for setting the rig to the highlighted spot, or adding the highlighted spot to the log. Adding a spot to the log also sets the rig. If more than one log form is open, the last-accessed log form will be the one used by the spot log.

You may search the Call, Value (country name, zone, etc.), and comment fields of the spot log. Enter the value to search for, and click the Filter button. Only matching spots will be displayed. Click the Cancel button [image] to cancel the search and display all spots.

On the Options page of the spot log are several useful options. The spot log is a database file with a fixed number of records. When the file fills up, the oldest record is overwritten with the new. You may set the size of the spot log, or clear the spot log. Spot level determines what constitutes a needed entity.

The Automatically set rig to incoming spots is handy for monitoring band activity from another room. You will not want to enable this while operating, or LOGic may QSY your rig in the middle of a QSO!

On the Announcement page of the spot log, you may select audible Voice or CW spot announcement. The Announce All check box announces all spots whether you need them or not—handy for monitoring band activity while in another room.

The voice announcement feature requires a Windows-compatible sound card. Announcements are made in background so that you may continue to use your computer. The dump button clears all announcements from the queue.

You may record your announcement sound files.

The spot log form must be open or minimized for spotting to work. Closing the spot log form causes spots to be ignored.

Sending spots

LOGic supports posting spots from any of its terminal or Telnet windows, as well as over the DX Summit WebCluster. Click the spot button [image] to post a spot. Default information such as Call and frequency will be copied from the last-accessed log form. The comment field will be filled in with QSX info for split-frequency QSOs and QSL route if the VIA field in the log for is filled in or the rig is set to split (if the radio is capable of sending splits to a computer). Make any changes you wish before selecting Ok.

The Spotted By field is often misunderstood. This is a little-used feature that allows you to give someone else credit for the spot. If you originate the spot, do not enter your callsign here. The cluster remembers your callsign from your login information.

You may easily send a spot to any or all open terminal, Telnet, or WebCluster windows. From the Log menu, select Broadcast DX Spot. If you do not want to post a spot to a particular window, turn off the Accept Broadcast Spot for that window. You will want to do this if one of your terminal windows is used for RTTY or AMTOR, for instance. This option is accessable in Options on the terminal and Telnet windows, and on the main form of the DX Summit window.

Notes

If the Spot Log is the currently-active form, the Info Form will display DX, Direction, etc. for the station being spotted. The Other QSOs Form will show any QSOs in your log with the station being spotted.

The spot log window must be open or minimized for spotting to occur. Closing the spot log disables spotting.

If RTTY or RYRY is in the comment field of the spot, RTTY will be used as the mode. RTTY spots are announced only if RTTY is listed in the modes that you operate in the General Ham Setup screen. If you change the list of modes you work, be sure to do an Awards Progress Update from the Ham Setup menu.

The spot log has a five-minute timer that prevents duplicate spots from being processed if you are monitoring the air while not connected. If monitoring while not connected, your TNC could receive duplicate spots if it intercepts spots intended for other stations connected to the cluster. WebCluster spots are timestamped, so LOGic will never process a duplicate WebCluster spot.

When contesting, the spotting feature spots needed multipliers instead of needed awards entities. Of course LOGic's online awards progress is available while contesting, so you can manually check any spots that is received if you don't remember if you need it for an award.

You may test the packet spotting feature without sending anything over the air by following this procedure: Turn off your transmitter. Put your controller in the Packet converse mode. From the Transmit Packet window, type a dummy spot. For example:

DX de WN4AZY: 14178.3 BY1XYZ

LOGic will respond just as if it had received the spot over the air.

LOGic interfaces to DXTelnet http://www.qsl.net/wd4ngb/telnet.htm.To enable, set DXTelnet's EXEName to LOGIC5. Set Link Topic to DXTELNET. LOGic ignores the Link Item setting. In LOGic's spot log, checkmark Enable DXTelnet Interface in the Options page of the spot log.


Expressions and Functions

LOGic allows unsurpassed flexibility in configuration. For example, you may specify which fields to copy from previous QSOs or the Prefix table. This copying may be done conditionally--only under certain circumstances. LOGic's contesting system permits you to specify what is to appear on the log printout, what constitutes a multiplier, and how to calculate the QSO points and final score. The function keys in LOGic's terminal program can send variable information from the QSO displayed on the Log screen. You may create your own reports, using the same facility that PDA used to write the reports included with LOGic. All of this power is made available to you because LOGic accepts expressions to define its operation.

This chapter will discuss expressions in a general sense. These tools are used in a similar manner for all subsequent features that we discuss--copy from previous QSOs and awards table, setting up programmable function keys, contest definition, and report writing.

Expressions. This is a scary-sounding word but anyone who has ever used a calculator is familiar with expressions. An expression is a set of symbols that define a result. For example, 1 + 1. However, there are other types of expressions.

Logical expressions

A logical expression always answers a yes/no true/false question. Computer programs make extensive use of logical expressions to control program flow. It answers questions such as "which button did he press?" or "is the user's input valid?" We use the term Select Criteria when referring to a logical expression that is applied to a database to select a subset of data. For example, NAME="BOB". If we were to enter this expression for a select criterion, LOGic will ask, "is this person's name BOB?" If the answer is yes, the QSO will be selected.

Anywhere that LOGic wants a Logical expression, the Filter form is available to create the expression for you, and will handle most needs. You will probably never need the information in this section. However, the Filter form cannot handle every possible expression, so read this section to learn how to make your own or to better understand how the Filter form works.

We have already used logical expressions when Filtering to view certain records on the data forms, or when running a report. LOGic uses logical expressions for other purposes, such as deciding how many points a contest QSO is worth based on whether it is CW or Phone, for example.

By following a few simple rules, we can easily create a logical expression to handle anything we desire. We simply use a few simple relational operators to compare two values. You are already familiar with these operators: -, +, [image], and [image]. These are numeric operators. They act on two numbers and yield another number as a result. Relational operators compare two values and return a yes/no result. The most popular logical operator is =. If the two values on either side of the = are identical, the result is true. The following are true expressions:

1 + 1 = 2

3 = 3

5 - 6 = -1

Although there would be little point, we could enter 1+1=2 for a select criterion. It is a valid logical expression. Since it is always true, the report writer would print every QSO in the log if it were used as a select criterion. What would make more sense would be to compare the Frequency in the log file to some value. To do this, we would enter something like

FREQ = 146.52

This will select all of our two-meter QSOs on the national simplex frequency.

Suppose we wanted to report all of our VHF QSOs? Or everything except our 2-meter simplex QSOs on the national simplex frequency? Fortunately, there are other relative operators. Here is a complete list:

= | Equal. Comparison stops at end of left value "C"="CAT" is true
== | Exactly equal. Both strings must be the same length to be equal
<> or # | Not equal
> | Greater than
< | Less than
>= | Greater than or equal
<= | less than or equal
$ | contained in
We can select all QSOs except the ones on 146.52 with FREQ<>146.52

We can select our VHF QSOs with

FREQ>30

or

FREQ>=52

So far we have been comparing numbers. We can just as easily compare characters. Just enter the field name from the log, a relative operator, then the value to compare to enclosed in single or double quote marks. For example,

NAME="ANN"

COUNTRY<>'K'

We must enclose the literal character values that we are comparing in quotes. This is how the computer differentiates between database field names and literal values. NAME=ANN would try to compare the contents of the NAME field or a memory variable named NAME with the contents of a field or memory variable named ANN. Since there is no fields in the database and no fields in LOGic named ANN, you will get an error.

= and <> make sense when comparing character values. But what about >, <, >=, and <=? Though they are not as frequently used, they are also legitimate relative operators for characters. Characters, like everything else, must be stored in your computer as numbers. So each character has a numeric value that is used when comparing them. Generally, a character is greater than another if it appears alphabetically after that other character. In other words, "B" is greater than "A" but less than "C". Numbers entered in character fields are less than letters. So "9" is less than "A". Upper-case letters are less than lower-case letters. So "A" is less than a.

When comparing two character values using these operators, the comparison is only done to the end of the rightmost value. So NAME="ANN" will match ANN, ANNETTE, ANNIE, etc. To force an exact match, place a space after the value to be compared. For example, NAME="ANN ". Except for $ (discussed later), unless the two values you are comparing are the same length, you must put the field name to the left of the operator. While "ANN"=NAME is a valid expression, it would not select anything, since the rightmost value--the NAME field in the database--is longer than 3 characters and therefore padded with spaces. LOGic will compare through the end of the field since it is on the right of the operator, and will not match.

A very useful operator that works only for comparing characters is $. It means "Contained in". "QUAD"$USERFIELDS will be true if QUAD occurs anywhere in the comment field.

Memo fields (Notes and Address) may be treated as character fields. The $ operator is particularly handy for searching them. Since you may enter lower-case characters in memo fields, you may wish to upshift them with the UPPER() function before comparing. "QUAD"$UPPER(NOTES)will upshift all note fields, then look for QUAD anywhere in the note. The UPPER function does not permanently alter your data! It simply upshifts a copy of the note which is in RAM before doing the compare.

Dates may also be compared using any operator discussed thus far except $. One date is greater than another if it occurs after the other date. Date values to be compared must be entered inside squiggly braces: { }. Enter the date as it appears on the log screen. This will vary depending on the date format you selected in the Application Options form. For American MM/DD/YY format, our select criteria would look like this:

QSO_DATE > {12/31/1997}

This reports all QSOs made after December 31, 1997.

This syntax works regardless of the setting of the date format:
{^YYYY/MM/DD} or {^YYYY-MM-DD}

For example, QSO_DATE > {^2001/12/31}

So far we have been comparing only two values--a field in the database with a literal value. Suppose we wish to compare more than two values? For instance, everyone named Bob or Robert, or all 10-Meter FM QSOs? Logical operators allow us to combine two logical expressions. Our logical operators are:

OR

AND

NOT

For the final result to be true with OR, only one of the two expressions involved needs to be true. With AND, they both must be true. Consider these two expressions:

BAND="10M " OR MODE="FM "

BAND="10M " AND MODE="FM "

The first will report all 10-meter QSOs as well as all FM QSOs. The second will report only FM QSOs made on 10 meters. Here's why. With OR, only one of the two expressions needs be true for a QSO to be printed. So, LOGic looks at every QSO in the log. It checks each condition. If either condition is true--the band is 10 meters OR the mode is FM, the record gets printed.

With AND, LOGic again reads all QSOs. For each QSO, it checks to see if the BAND is 10M AND if the MODE is FM. The record is printed only if both conditions are true.

Suppose we wish to combine more than two comparisons? No problem. We can use AND and OR multiple times. For example

NAME="ROB " OR NAME="TOM " OR NAME="BILL "

will print all QSOs with anyone named Rob, Tom, or Bill. We can use parentheses to group expressions. This is important when combining AND and OR.

(NAME="ROB " OR NAME="TOM") AND QTH="PODUNK"

will not have the same effect as

NAME="ROB " OR (NAME="TOM" AND QTH="PODUNK")

The first will print only operators named Rob or Tom, and only if they live in Podunk. The second will print anyone named Rob regardless of where he lives, plus anyone named Tom living in Podunk.

Be careful with AND. It is possible to create an expression that is syntactically valid, but is useless since it is always false. For example, NAME="ROB " AND NAME="TOM " cannot possible be true, since the Name field cannot be equal to both TOM and ROB at the same time. The Filter form prevents you from making this mistake.

Another useful operator is NOT. It operates only on the expression to its right, and reverses the trueness or falseness of the expression. NOT (BAND="10M " AND MODE="FM ") will print everything except our 10-meter FM QSOs. It is the same as BAND<>"10M " OR MODE<>"FM ". However, most people have an easier time understanding the first expression when they are thinking about excluding something. To exclude a set, simply enter an expression that would select the records you wish to exclude, then use NOT to reverse the condition.

We have been comparing database fields with literal values. However, there is no rule that says we can't compare database fields. QSL_SENT<>QSL_RCVD will report all QSOs whose QSL Sent status is different from the QSL Rcvd status.

Here are some sample select criteria:

STATE="WA" | State is Washington
STATE<>" " or NOT EMPTY(STATE) | State is not blank
QSO_DATE>={^1993/01/01} | QSOs on or after Jan 1, 1993
QSO_DATE>={^1993/01/01} and QSO_DATE<={^1993/01/31} | QSOs made during Jan 93
QSL_SENT="R" | QSOs with QSL requests pending
DXCC<>"K " | DX QSOs for US operators

Numeric Expressions

As we said earlier, you are already familiar with numeric expressions. You cannot use a hand calculator without them! So, there is not much to discuss in this section. However, since your computer does not have a [image] or [image] symbol on its keyboard, we have to make some adjustments to what we enter for our mathematical operators. For division, use the / symbol. This we are already familiar with. Just think of it as a fraction bar. 22 [image] 7 and 22/7 are equivalent expressions. For multiplication, we cannot use the x character because the program would confuse it with a database field or memory variable named X. Just use an asterisk (*) {Shift+8} instead. All computer programs that allow you to enter a formula--spreadsheets, Windowstm calculator accessories, etc.-- use this symbol. The + and - symbol are used as expected. ^ is an exponentiation operator. For example, 10^3.

+ | Add
- | Subtract
/ | Divide
* | Multiply
^ | Exponentiation
% | Modulo (remainder after division) 1%3 returns 2
Of course you can enter a numeric expression made up of only constants and operators--i.e 1+1. However, to do something useful, we would probably want to do math on LOGic's data. Simply substitute the name of a numeric field for a constant. For example, FREQ/1000 would convert the log frequency from Mhz. to Khz.

Character Expressions

While the number-crunching ability of computers is well known, most of us buy them to manipulate text. LOGic makes extensive use of character expressions. Just as with numbers, we can use operators to manipulate characters to come up with new results. For example, the + operator may be used with character expressions. However, you cannot perform math on characters, so the + operator behaves differently. It concatenates, or joins together, two character expressions. For example, the expression

"C" + "AT"

will result in CAT. As you remember, character constants must be enclosed in single or double quotes so that LOGic will not confuse them with database field names.

It is important to understand that a character value may contain numbers. However, these numbers are stored in the computer's memory in a quite different format than true numeric values. You cannot perform math on a character value. For example, "50"/2 is invalid. However, character expressions containing only digits may be converted to numeric format and vice versa. This will be discussed in the section on functions.

While the concatenation operator can be handy, the real power in manipulating characters come from functions.

Functions

Functions are references to data-manipulating programs that may be included in an expression. For instance, you can use functions to calculate the square root of a number, remove trailing spaces from a database field, or extract a value from a tagged field.

Like other elements of an expression, functions have a unique format so that they will not be confused with database fields or other items. A function has a name that is immediately followed by an open-parenthesis (. Following the ( will be zero or more parameters followed by a close-parenthesis ). A parameter is input to the function on which the computer will act. For example, the expression SQRT(9) runs a program named SQRT that acts on a parameter, which is 9 in this case. SQRT() is used for taking the square root of a numeric value. A parameter may be any expression of the proper type. SQRT expects a numeric parameter, so SQRT(FREQ), SQRT(A^2 + B^2), and SQRT(FREQ/1000) are all valid uses of SQRT, provided that FREQ, A, and B are valid numeric database fields. SQRT("9") and SQRT(QTH) are invalid because the parameter is of type character.

If a function has more than one parameter, they are separated with commas. For example, SUBSTR("ABCDE", 2, 3) extracts three characters from "ABCDE", starting with the second character. This expression yields "BCD".

We can experiment with functions using the Database Command form. Simply enter a ? and a space followed by an expression. ? means to display an expression to the screen. Try entering

? SQRT(9)

3 will be printed. To make the fields in the log file available to use while testing expressions, type the following command:

USE LOG

Now try

? FREQ

and

? SQRT(FREQ)

Here are some popular functions:

(All functions that contain an underscore in their name -- (GET_ITEM(), TAG_VAL(), -- etc.) are exclusive property of Personal Database Applications. © 1992-1999 by PDA. All rights reserved.)

  • TRIM() removes trailing blanks from an expression. It is especially helpful for formatting database fields. For instance, the expression QTH + ", "+STATE would print:

    RICHMOND , VA

    TRIM(QTH)+", "+STATE will print properly:

    RICHMOND, VA

  • LTRIM() removes leading spaces from the beginning of an expression.

  • ALLTRIM() removes spaces from both the beginning and end of an expression.

  • LEFT() returns the left part of a character expression. It requires two parameters. The first is the character expression, and the second is the number of characters to return. LEFT(NAME,10) returns the leftmost 10 characters of the NAME field. RIGHT() is similar except that it returns the rightmost n characters.

  • AT() returns the position of one expression inside another.

    AT("GS","DOGS AND CATS AND PIGS")

    returns 3. If the first expression does not occur inside the second, 0 is returned. Normally, this expression returns the position of the first (leftmost) occurrence. An optional third parameter will return the position of the nth occurrence. AT("GS","DOGS AND CATS AND PIGS",2) returns 21.

  • LEFT() may be combined with AT() to extract everything up through a specified character. LEFT(LOCATION,AT("|",LOCATION)) will return everything to the left of and including the first | in the Location field. So, if the location field contains VE PROV:QUE| QUEBEC, this expression will return VE PROV:QUE|. LOGic uses exactly this expression to copy tagged fields from the Prefix table. If no | is contained in the location field, AT() returns 0, and LEFT() returns an empty, zero-length character expression.

    PADC() centers a character expression by padding it with spaces on either side to make a character string of the specified size. The first parameter is the character to be centered. The second is the length of the string to be returned. For example, PADC("CAT",5) will return CAT centered within a length of five spaces. It will return CAT with a space before and after it.

  • EMPTY() checks to see if a date or character expression is blank or zero-length. It returns logical true or false. For example, EMPTY(NAME) will return true if the Name field is empty. You could enter this expression for a filter on the Log screen or a Select criterion for a report. All blank names would be found. EMPTY() is great for checking to see if a note or address contains something. To check for notes not being empty, enter (you guessed it) NOT EMPTY(NOTES). Empty also works on non-character data types. It returns True for a numeric 0, Logical False, and an empty date or datetime value.

  • GET_ITEM() returns the nth item from a delimited list. Three parameters are required. The delimiter, the list, and a numeric expression specifying which item to extract. For example: GET_ITEM("/","HOUSECATS/LIONS/TIGERS",2) returns LIONS. If the requested item does not exist, a zero-length character expression ("") is returned.

  • TAG_VAL() LOGic includes a whole library of functions for dealing with user-defined fields. We will make frequent use of TAG_VAL(). You will see the Filter screen use it when you search user-defined fields. LOGic stores user-defined fields in a long field in the log named USERFIELDS. A user-defined field is stored with the field name, followed by a colon, followed by the value, and terminated with "|" {Shift+\}. Two parameters are required: The field name followed by a colon, , and the field containing the user_defined field data. For example:

    AGE:50| CONT:AF|

    In this example, TAG_VAL("CONT:",USERFIELDS) will return AF. If the tag does not exist, a zero-length character expression is returned. An optional third parameter specifies the type of data to return:

    C

    Returns the value in a character string. Default.

    D

    Returns DATE from YYYYMMDD value

    L

    Returns .T. from T or Y value, .F. otherwise

    I

    Returns an Integer (a whole number, no fractional part after the decimal)

    F

    Returns a Floating-point (can have numbers after the decimal)
    Using our sample data TAG_VAL("AGE:",USERFIELDS, "I")/2 returns 25. TAG_VAL("AGE:",COMMENT, "C")/2 would produce an error, since the 50 would be extracted as a character value, which we cannot use mathematical operators on. It would be the same as trying to divide "BOB" by 2: "BOB"/2 or "50"/2 are invalid.

  • MAKE_TAG() takes a tag and a value, and makes a proper tagged field out of them. Two parameters are required: the tag and the value. For example, MAKE_TAG("PFX:","WN4") returns PFX:WN4|. Trailing spaces are removed from the second parameter. Note that this function can be used to create a tagged field from data types other than character. The second parameter can be character, numeric, date, or logical. If a logical True is passed, a Y will be returned as the value. If the second parameter is blank, 0, false, or an empty date, MAKE_TAG() returns a zero-length character expression.

  • TAG_FLD() extracts the whole tagged field--tag, value, and terminator--from a field. TAG_FLD("CONT:",USERFIELDS) returns CONT:AF| from the above Comment field example. It is convenient for copying tagged fields from previous QSOs. A null character expression is returned if the requested tagged field does not exist.

  • TAG_EDIT() changes a value in a tagged field. Three parameters are required. The first is the character string or field containing all user-defined fields. The second is the tag to be edited, type Character. The third is the new value, and may be of type character, date, numeric, or logical. If the tagged field does not exist, it is created. If an empty character string, zero, .F. (false), or {} (empty date) is passed for the new value, the tagged field is deleted

    TAG_EDIT("CAT:TABBY| DOG:SCHNAUSER| BIRD:PARROT|", "DOG:", "BEAGLE")

    Returns CAT:TABBY| DOG:BEAGLE| BIRD:PARROT|

  • VAL() converts a character expression containing digits to a true numeric value.

    VAL("50")/2

    is a valid expression. It converts "50" to a true numeric value.

  • STR() converts a number to a characters. One parameter is required--a numeric value to convert. There are two optional parameters--the length of the returned result, and the number of places after the decimal to include.

  • TIME() returns the current system time in 24-hour HH:MM:SS type character format. It has no parameters.

  • IIF() is a simple but very powerful function. It evaluates a logical expression, and returns one of two expressions depending on whether the logic expression evaluates to true or false. It requires three parameters. The first is a logical expression, the second is an expression of any type to return if the first parameter evaluates to true. The third parameter is an expression of any type to return if the first parameter returns false. For example:

    IIF(QSL_RCVD="F","Thanks for the QSL","")

    This expression, used in a report, will print Thanks for the QSL if QSL_RCVD is F. Otherwise, nothing is printed.

  • MLINE() extracts the specified line from a note or address field. Two parameters are required--the field, and the line to extract. MLINE(NOTES,5) returns the fifth line of the notes field.

  • CHR() returns the ASCII character for a specified number. For example, CHR(65) returns A. It is especially useful for generating control characters. Try typing ? CHR(7) in the Database Command Screen.

  • EVAL() evaluates an expression contained in a character expression, and returns the results. For example, EVAL("1+2") will return 3.

  • TYPE() also evaluates an expression, but returns the type of the expression. C=Character, N=Numeric, L=Logical, and D=Date. If the parameter does not contain a valid expression, it returns U for Undefined. TYPE("1+1") will return N. The parameter must be of type Character! Type(1+1) is invalid.

  • FILE_TXT() returns the contents of a text file. This is great for transmitting files from function keys. Placing FILE_TXT("C:\CONFIG.SYS") in a function key expression will transmit your CONFIG.SYS file. Fun Fun! An optional second parameter controls the maximum number of character to be read from a file. This parameter defaults to 32000 characters to prevent OUT OF MEMORY errors. However, most users may specify a bigger number. For instance, FILE_TXT("C:\CONFIG.SYS", 128000).

  • STRTRAN() is used to change text within a string expression. The first parameter is the string to be searched. The second parameter is the text to be searched for. The third parameter is the replacement value. For example

    STRTRAN("ABCDE", "CD", "XY") returns ABXYE. Every occurance of "CD" is changed to "XY."

    STRTRAN("ABCDE", "CD", "") returns ABE. "CD" is changed to "."

  • CHRTRAN() is used to translate individual characters to new values. The first parameter is the string to be searched. The second parameter is the characters to be converted. The third parameter is the replacement characters.

    For example, CHRTRAN("ABCDEF", "ACE", "123") returns 1B2DE3. 1 is substituted for A, 2 for B, and 3 for C.

    CHRTRAN("AB1C3D", "1234567890", "**********") returns AB*C*D. All digits are converted to asterisks.

    If there are fewer replacement characters than characters to be converted, the additional characters in the characters to be converted are removed.

    For example

    CHRTRAN("AB1C3D", "1234567890", "") returns ABCD. All digits are removed.

  • GETLISTVALUE() searches the description of the list table and returns the value. The first parameter is the field name. The second is the description value to search. The list table must be open for this function to work. GETLISTVALUE("DXCC", "UNITED STATES") returns K.

    MAKE_TAG("1010#:", GETLISTVALUE("1010#", LOG.CALL))

    Placing this expression in Copy From Prefix Table looks up the callsign from the description field in the 1010 list, and automatically logs the 1010 number. The 1010 database may be downloaded from http://hds.net/win1010dl.htm and imported with the Import 1010 miscellaneous utility.

Date Expressions and Functions

    So far we have discussed Logical, Numeric, and Character expressions. LOGic also uses DATE expressions. These expressions always result in a valid date or an empty date. The constant for an empty date is {}. Date constants are enclosed in squiggly braces. Normally, enter date constants in this format: {^YYYY/MM/DD} For example, {^2001/01/31}. You may also enter a date constant in the same format as selected in the Application options form. For example, {12/31/2001}. However, the effect of the date constant will change if the date format in Application Options is changed.

  • DATE() returns the current date. It has no parameters.

  • DTOC() function converts a date expression to type character. The format is the same as set in the General Options screen. It has one parameter--a date expression. For example, DTOC(DATE()) or DTOC(QSO_DATE).

  • DTOS() is much like DTOC(). However, it converts the date expression to YYYYMMDD format, regardless of the settings of the General Options screen. For example, DTOS(QSO_DATE).

  • STOD() is the opposite of DTOS(). It converts a character expression in YYYYMMDD format. For example, STOD("19980131").

    There are many other functions available. We have discussed only a fraction of the available ones here. A FoxPro or other xBASE book documents others.

Functions that work with various data types

These functions work with any data type.

  • BETWEEN() tests to see if the first parameter is between the second and third parameters, inclusive. BETWEEN(5, 1,10) is true, because 5 is between 1 and 10. So is BETWEEN(1, 1, 10), It can be used to test dates and character values as well. You will see this function used by the Filter form when you use the Between option.

  • EMPTY() tests to see if the parameter is empty or not. It is typically used with character or date expressions. EMPTY(QTH) will return True if nothing has been eneted in the Name field. Although not very useful, EMPTY() will work with Numeric and Logical values. Zero and False are considered to be empty. You will see this function used by the Filter form when you use the Empty option.


Filtering

LOGic's data forms feature a very powerful, yet easy-to-use facility for retrieving your data. We have already discussed Getting and Searching. While these data retrieval functions will handle the majority of your lookup needs, they function only on indexed fields, and only on one field at a time. The Filter feature is not dependent on indexes, and can search several fields at once. For instance, you may use filtering to view all QSOs with CA on 10 meters FM with someone named Bob or Robert.

Since Filtering does not rely on indexes, it is relatively slow compared to Getting. The entire file must be read to search for matching records. Nonetheless, modest systems can search 10,000 records per second!

Basic filtering

To filter, click the filter button on the data form or its browse form . The filter form will appear. It lists all fields in file(s) accessed by the form. For simple filtering, simply scroll to the desired field, and enter the search value in the Value column, then click the filter button in the filter form. If your search values are too long to fit in the field, continue to type. The field will scroll sideways.

The data form will be activated and every QSO with the value you specified will be displayed in the Browse window (you may have to scroll up and down to see them all). LOGic will also display a count of the number of matching records found.

Filtering makes the file appear to contain only the records that match the criteria that you specify. However, the other names are not gone. They are simply being hidden from view. The filter button in the data and browse forms change color to indicate a filter is in effect. To remove a filter so you can see all of your records, click Clear on the filter form.

Searching more than one field

To search on more than one field, fill out more than one row on the filter form. For example, to find everyone named Robert who lives in California, enter ROBERT for the value in the Name row, and CA for the value in the State row. Select Every field must match (AND) or Any field may match (OR). If you select Every Field, a record will be displayed only if it matches every row that you filled in. If you select Every field only people named Robert who live in CA will be displayed. If you select Any field, the record will be displayed if any or all of the rows that you filled in match. In this example, it would find everyone named Robert (regardless of where they live), plus everyone in CA, regardless of what their name is. You will use Every field most often.

You may search for two matching values for the same field using the Value 2 column. For instance, if you select the Name row and enter ROBERT in Value, and MARY in Value 2, everyone named Robert or Mary will be found.

NOT match

To find all records except those matching the search values, click the NOT column to put a check mark in the little box. Entering ROBERT for the value, and checking NOT will find everyone who is not named Robert.

Partial match

With fields that contain character data, you may enter only the first part of a value in the field, and only the number of characters entered will be matched. For instance, ROB will display ROB, ROBERT, ROBBIE, ROBERTO, and ROBERTA. Entering R will find everyone whose name starts with the letter R! You may disable the partial match feature by putting an underscore (_) after the value. For instance, ROB_ will locate only ROB, not ROBERT, ROBERTO, ROBERTA, etc.

Other operators

So far we have discussed searching for fields whose values equal (or NOT equal) the value we specify. By changing the Operator in the operator column, we can perform other searches. For example, field values greater than the specified value.

While <, >, <=, >=, and Between are especially useful for numbers and dates, they may also be used on characters. > ANNE will locate ANNE and all values that come alphabetically after ANNE.

The Contains ($) operator searches for the value anywhere in the field. Searching for $ AR will find ARNOLD, CAR, CARRY, etc. It is particularly useful for searching for words in long character fields such as Comments and memo fields--notes and addresses.

The selection of available operators will vary with the type of data the field can store. You cannot use containment or wildcard matching on numeric or date fields. Logical fields, which can contain only a Yes or No value, allow only =.

The Empty operator is good for locating all records where the specified field has no value entered. For instance, you can easily display all records that have no address entered. You can use NOT in combination with Empty to find all records where anything has been entered in the field.

To use the Between operator, you must enter something in both the Value and Value 2 columns. Between searches are inclusive. Search-ing for BETWEEN 10 and 20 will find 10, 20, and anything in be-tween.

Wildcard pattern matching works similar to the wildcard filename matching in DOS and Windows. A ? matches any single character. A * matches any character or group of characters, or no character. For ex-ample, ANN? will match ANN followed by any single character, such as ANNA or ANNE. *ANN* will match ANNA, ANNE, LOUANNE, or LOUANNA. *?ANN? will match LOUANNA or LOUANNE, but not ANNA OR ANNE, since the first ? says that some character must precede ANN.

Counting

0 The filter feature is also useful if you only want a count of matching records. Counting is performed just like Filtering, except you click the count button to perform the count. Clicking Count with no search values will tell you how many records you have in your file.

Miscellaneous Filtering Notes

The filter form may list many fields. To quickly locate a field, click on the Field name column and type the field name you are looking for. An incremental search is performed, so you may type only the first character or two.

Closing the filter form does not cancel the effect of the filter on the data form. To cancel a filter when the Filter form is closed, reopen the filter form and click Clear. Closing a data form removes any filter that is in effect.

LOGic uses quotation marks ("), apostrophe ('), and square brackets ([ and ]) internally when filtering Character and Memo fields. You may search for values containing quotation marks, apostrophe, or square brackets, so long as you do not use all three marks in the same search value. [BIG "RIG"] and "JOE'S PIZZA" is valid. "JOE'S [BIG RIG" will cause an error.

Case (capital vs. small) is ignored when searching.

You may add or change data while a filter is in effect. However, any data that does not match the filter will disappear from the filter view. It will be available when the filter is cleared or from another instance of the same data form.

0 The filter form analyzes the values you enter and creates a select criteria, a logical yes/no question that is applied to every record to determine whether or not to show it . You may view the select criteria by clicking the View button. While making select criteria from scratch can be challenging, they are quite easy to read, and are often more easily understandable than looking at the grid.

While LOGic's Filter Maker is very powerful, there are some searches that it cannot do. It is possible to enter your own select criteria so as to search on any imaginable criteria. Click the Edit button and enter the select criteria.

For example,

DXCC="K " OR (DXCC<>"K " AND VIA="DIRECT")

will find all Stations in the US, as well as all non-US stations with "DIRECT" in the VIA field.


Frequently-asked Questions

For the latest, see our web site.

My awards progress tallies are incorrect

You need to run Update Awards Progress Info. See section 6.3.3 of the manual.


Glossary

Application window. A main window that contains most other forms that are opened within the application. For example, a Windows word processor has an application window that contains all open documents within child windows which are inside the application window. LOGic's application window contains the log form and most other forms that can be opened within LOGic.

When the application window is moved, all of its child windows are moved as well. Minimizing the application window effectively removes all of its child windows from the desktop. Closing the application window closes all child windows and exits the application.

It is possible for a Windows programmer to place all windows used by an application on the desktop. However, this is rarely done with applications having many windows, as it is very difficult to manage multiple applications when their windows are not grouped together. However, windows in the Desktop may be moved into a different monitor in multi-monitor systems. With PDA applications, you may choose whether to put a window in the desktop or application window.

Baud Rate. A term defining the speed in which serial data transfer occurs in bits per second. Most communications between your computer and your rig, TNC, modem, etc. occurs by sending 8 data bits per character, plus a start and stop bit for timing purposes. Therefore the transmission rate in characters is 1/10th the baud rate. The baud rate of both devices must be the same.

Bit. A BInary digiT. A bit will have a value of either 1 or 0, or in other words, be either on or off. Everything in your computer is stored as a series of 1s and 0s. A character is stored in 8 bits. 8 bits = 1 byte!

Double-click. Rapidly press and release the left mouse button twice in succession. Left-handed users may choose to reverse the functionality of the right and left buttons. In this case, you will use your index finger on the right button instead.

Drag. To drag something with the mouse, position the pointer on top of it, press the left mouse button, move the object, then release the button to "drop" the object. Left-handed users may choose to reverse the functionality of the right and left buttons. In this case, you will use your index finger on the right button drag operations when the documentation says to drag.

Expression. Symbols and data that define a result. For example, 1+1 is an expression that defines 2.

Logical expression. Expressions with a true or false (Yes or No) result. 1 greater than 0 is true. 1 equal 0 is false. Expressions are used extensively by all computer programs. Obvious examples are math done by the computer. But they are also used for other purposes, such as executing the proper part of a program when you make a menu choice or alphabetizing a list of file names. A select criteria is a logical expression used to select certain records.

Fixed font. See Proportional vs. fixed fonts.

Index a feature of database files that permits practically instantaneous retrieval of data. It works much like a library card catalog. Additionally, an index permits instant reordering of data. A file may have more than one index.

Memo field A field in a database that can contain practically an unlimited amount of text data. LOGic uses memo fields to store notes, addresses, and biographical info.

Menu bar. The bar that extends across the top of a window and provides access to the application's or window's features. Most applications have a menu bar in their application window, and may have menu bars in other windows as well.

When you click an option on the menu bar, a list of options appears. Some of these options may show yet other menus, as shown here. Help information may be displayed on the status bar .

Minimize. Reducing a window to a small icon. Click the leftmost of the three controls that appear at the top right hand corner of a window. . A minimized window will look like this: . To normalize , or unminimize a minimized window, click the leftmost of the three controls that appear on the right of the icon, or double-click the middle of the icon's title bar.

Non-edited awards tracking. Refers to awards tracking of awards for which no list of valid values has been entered in the awards table. A typical non-edited award is WPX (prefixes). There are simply too many possible values to make a comprehensive list. The disadvantages of non-edited tracking are that your input is not checked against a list of valid values, and LOGic cannot report the number of unworked entities. However, this is not a problem for awards such as WPX.

Even if it were possible to make a list when adding a new award, you may wish to set it up as non-edited to avoid the work of making a list. LOGic will create its own list in the lists table, and you may later convert it to a regular list.

Non-proportional font. A fixed font. See Proportional vs. fixed fonts .

Proportional vs. fixed fonts. Proportional and fixed (also called non-proportional) refer to the amount of space used by individual characters in a font. In a fixed font, such as Courier New, each character uses the same amount of space. In a proportional font, characters use differing amounts of space depending on the appearance of the character. For example, an upper-case M will be wider than a lower-case i. Examples of proportional fonts are Ariel and Times New Roman. The following table illustrates. Each example shows six M's and i's:

Courier New | MMMMMM iiiiii
Arial | MMMMMM iiiii
Times New Roman | MMMMMM iiiii
Note how the Ms and is are the same size in Courier New, which is a fixed font. With the proportional fonts, the Ms are several times wider than the is.

Proportional fonts are the most common. They are easier to read and take up less paper or screen space. However, they are not practical for entering data into a fixed-width field, as it is not easy to tell how close you are to filling up the field. If you are typing a lot of narrow characters, the input area on your screen will show space even though the maximum number of characters allowed by the database has been exceeded. Likewise, if you are typing a lot of wide characters, the input area will be filled before the maximum number of characters has been entered. LOGic uses proportional fonts for data labels, text edit windows, and dropdown menu selections, and fixed fonts for text input fields.

Normalize. To put a window in its normal state—not minimized or maximized.

Right-click. Postion the mouse over an object, then quickly press and release the right button. As per Windows 95 standards, this usually brings up a menu of options, but can be programmed to perform any action the developer desires. Left-handed users may choose to reverse the functionality of the right and left buttons. In this case, you will use your index finger on the right button for most mouse operations, and click with the left mouse button when the documentation says to right-click.

Select criteria. Logical expressions used by LOGic's Filter feature, report writer, etc. to select a subset of your records to display or act upon. An example would be NAME="BOB ", which would select only records having BOB in the Name field.

Status bar. The bar at the bottom of most Windows applications that displays the current state of the caps lock, insert, and num lock keys, and other information to help you use the application.

Stop Bit. In asynchronous serial communications (the type used by your computer to communicate with rigs, TNCs, modems, etc), there is a time delay after sending each character in which nothing is sent. This is so that the receiving device will know when one character ends and another begins. This "dead air" time is expressed in bits. At 1200 baud , or 1200 bits per second, 1 stop bit will cause 1/1200th of a second delay. 2 stop bits will cause a delay of 1/600th of a second.

Touch help. Short help messages that are available for fields, buttons, and other controls. To see the touch help, position the mouse pointer on top of the object and take your hand off the mouse or hold it still for a few seconds.

UTC. Abbreviation for Coordinated Universal Time, formerly known as Greenwich Mean Time or GMT. UTC is used in amateur radio because it is the same everywhere in the world.

UTC Offset. A setting used by LOGic to convert your system's clock, which is set to your local time, to UTC . LOGic adds the UTC Offset to your system clock to determine UTC. A negative UTC subtracts from the system clock to obtain UTC.


Gray line->propagation

Propagation is enhanced along the division between night and day that circles the earth. Propagation along this line is referred to as gray line propagation. It is particularly effective on the lower-frequency bands. LOGic includes a powerful facility to help you take advantage of this phenomenon. LOGic's Gray Line report (accessed from the Run Report menu) doesn't look as impressive as LOGic’s map , but in many ways is more useful for working DX!

This report prints a list of all locations that are on or near the gray line at the same time you are. For each location the distance and direction to that location, whether it is sunset or sunrise at that location, and how many minutes (time-wise) its actual rise or set time differs from yours, is printed. Locations that are close to you may be omitted so that the report will not be cluttered with locations within your own or neighboring countries. Your local sunrise or sunset time, the direction of the sun at rise or set time, and the directions the gray line extends from your QTH are printed at the top of the report.

Before running the gray line report, the sunrise and sunset times in the Prefix table must be fairly up-to-date. Go to the Tools menu, and select Setup/Sunrise sunsetset Update. You will be asked to enter the data that the information will be calculated for. LOGic will then proceed to update all sunrise and sunset times in the Prefix table. Some locations are in a state of 24-hour daylight or darkness. The sunrise and sunset times for these locations will be set to 24:00, and the gray line printout will not include these locations.

It is not necessary to update sunrise/sunset times every day. If you update the table for a week into the future (this date is inserted automatically), you will not need to update the table again for two weeks, and the error will be negligible. Likewise, you do not need to run a gray line report for every day you wish to use gray line propagation. You may make a report for sunrise and sunset, and use the report a week before or after the dates the sunrises and sunsets were actually calculated for, and the error will be insignificant.

Go to the Report Menu, and run Gray Line. Enter R or S to specify whether the report will be generated for your sunrise or sunset. Maximum Time Difference determines how close the sunrise or sunset time of the various locations must be to be included in the report. You may also change the Minimum Distance parameter. Any location that is less than this distance will not be reported.

The Report Writer will proceed to read the entire Prefix table, printing only those locations on or near the gray line. To use the report, listen for the listed countries starting a half hour or so before your local sunrise or sunset time. Do not take the directions printed with each location too seriously. Crooked-path propagation phenomena often cause signals to travel along paths that seem to be related more to the gray line than the great-circle bearing. When you hear a signal you wish to work, try pointing your antenna to either side of the actual direction. Also try pointing your antenna along the gray line in both directions.


Grid customization

LOGic makes liberal use of grids to display data in columnar format. Grids have a number of customization options. Right-click a grid to display the grid properties form. You may adjust colors of the foreground, background, current row, and grid lines. You may also control if grid lines are shown or not. You may select only horizontal lines between rows, vertical lines between columns, or both.

You may select any font for a grid. A proportional font is desirable to display the maximum amount of data.

You may also adjust column widths, column order, height of headers, and height of data rows. Following are illustrations of adjusting each. For each example, position the mouse as shown, then drag as described. (The grid was set to use light colors for these photos so the black mouse cursor will be visible.)

Resize column. Position the cursor on the dividing line to the right of the header to be resized. In this illustration, the Name column is being resized. Drag the line to the left to narrow the column, or to the right to widen the column. It is possible to size a column so that it has no width. The resulting line will be heavier than normal. You can drag this line to retrieve the column. However, LOGic will automatically adjust zero-width columns to a very narrow column when restarted. It does this so that users will not accidentally lose columns. If you do not want a column to appear, do not reduce it to zero width. Instead, drag the entire column to the right of the visible area of the grid, as described below.

Move column. To move a column, position the cursor in the middle of the column header. Drag the column right or left as desired. To get rid of a column that you do not want, simply drag it to the extreme right of the grid so it is off of the visible portion of the grid. You can still see these columns by panning to the right using the bottom scroll bar of the grid.

Resize row. Position the mouse pointer as shown on the line below the first row on the grid. The mouse pointer must be close to the left edge of the grid. Drag the line down to make all rows wider. Drag up to make all rows narrower.

Resize header. Change the height of headers by positioning the mouse pointer as shown on the line below the leftmost header. The mouse pointer must be close to the left edge of the grid. Drag the line down to make the header row wider. Drag up to make the header row narrower.


Ignoring COM ports

Your PDA application's setup screen that permit you to select a COM port normally shows only ports that are actually installed on your system. Furthermore, it will indicate which ports are in use, and will warn you if you attempt to use a port that is already in use. It accomplishes this by attempting to open then close COM1 thru COM32.

However, some modem drivers and other devices have problems that allow another program to open a port that is already in use, without returning an error. Any attempt to access this port will result in a system crash.

If your system crashes while opening a setup screen with a COM port, you can tell your application to ignore certain ports.

In PDA.INI, create a section [IgnoreComPorts] For each port you want ignored, put hat COM port followed by =YES:

For example, to ignore COM 3 and COM5, enter:

[IgnoreComPorts]
COM3=YES
COM5=YES


Import and export

LOGic will import data from most other programs, and export data in a number of formats. Select Import or Export from the Tools menu.

To import data from a previous current version of LOGic, see Installation and setup.

Contesters can export ARRL and other contests for disk or online submission of contest logs.

If LOGic's direct import will not handle your data, contact PDA. In most instances we will provide an import program or import your data at no charge.

ADIF

ADIF (Amateur Data Interchange Format) is a standard supported by most current software publishers. You may easily exchange data between programs that support ADIF without concern for program versions and other variables. If the program you are importing from properly supports ADIF, this is the best format to use.

ADIF is an open standard that may be used by anyone without cost. For more info on ADIF, see the ADIF web site at http://www.hosenose.com/adif/.

ADIF is an extensible format. New fields may be added at any time without affecting previous implementations. LOGic provides complete control of field name mapping and import and export. You may add new fields to LOGic's ADIF facility whenever new fields are added to the ADIF standard, import from ADIF files that have improper field names, and even import and export user-defined fields.

From the Tools menu, select Setup/LOG fields, spotting, and awards tracking. Select the ADIF page. For each LOGic field, you may choose whether or not it is to be imported or exported. You may also specify the field name used by ADIF when importing or exporting this field.

ADIF files are usually text files that are easily read by eye. If you have problems importing data, such as data going to the wrong field or not being imported at all, you can easily look at the raw ADIF data, and import it by changing LOGic's ADIF options. LOGic's SafetyLog feature outputs ADIF data for easy importing and visual reading.

Other formats

LOGic includes import routines for several programs that do not support ADIF. You may find more import programs at our FTP site. If your program is not listed, please contact PDA. We can send you an import routine for your data, or import your data for you at no charge.

LOGic exports in several formats besides ADIF, including XML, ARRL Cabrillo, xBase, and several spreadsheets and ASCII formats. These formats are useful if you want to import your data into word processors or generic data handling utilities.


This index heading has no associated topic.

Please select an item below this index entry.


Installation and Setup

System Requirements

LOGic 6 runs on Windows 98, ME, NT 4, 2000, and XP.

If you are upgrading from an earlier version of LOGic

LOGic 6 is a complete new program, and does not update previous versions. Do not install LOGic 6 in the same subdirectory as a previous version of LOGic! Install LOGic 6 in a new folder. Your old version of LOGic will continue to function as usual. Do not delete it until you have imported your data. To import your old data, install LOGic 6, and select Import from the Tools menu.

If you are upgrading from versions of LOGic prior to 3, please send your LOG.DBF and LOG.DBT files to PDA. We will import them at no cost.

Importing data from other programs

LOGic will import data from most other programs , and we will import other data at no cost.

Installation

Insert the LOGic CD-ROM in your drive. Click the Start button on the Windows task bar. Click Settings. Click Control Panel. Click Add/Remove software. Click the INSTALL button. Follow the instructions that appear on your screen.

After the software installs, your system will be rebooted. Click the LOGic icon to proceed. The first time LOGic is run, it will generate index files.

When indexing is complete, you will be asked to enter some information about your station. LOGic needs to know your latitude and longitude to accurately calculate DX and direction and aim your antenna properly.

Station info

You may run the Station Info form at any time by selecting Tools/Setup on the menu bar.

There are several ways to tell LOGic what your latitude and longitude are. If you live in the USA, select Your State in the "Longitude, Latitude, and Time Zone" box. If you are a DX station, enter your callsign. This will approximate your QTH.

If you know your exact latitude/longitude or grid square, you may enter them for precise specification of your QTH. Stations in the Southern hemisphere (south of the equator) enter negative latitudes.

Please note that locations in the Western hemisphere (the Western hemisphere includes North and South America) use negative numbers to represent longitude. Most road maps do not show the negative sign for their coordinates.

LOGic needs the correct UTC offset for your time zone so that it can calculate UTC from your system clock. Usually this is filled in automatically when you enter your callsign or select your US state. If the value calculated from your callsign or state is not correct, enter the number of hours to add to your system clock to get UTC. Enter a negative number to subtract from your system clock.

The offset can also be obtained from the small numbers around the equator on the ARRL World Map. If you are not sure of your UTC offset, make your best guess. Be sure to correct for Daylight Savings Time or other time variations, if applicable. If you are wrong, you may easily adjust it later by clicking the +- button next to the UTC clock on the info form.

You must also enter your callsign, DXCC country, US State if applicable, and your continent. LOGic uses this information for scoring contests.

Select the "Your Address and Station Info" tab to specify your name and address that will appear on QSL cards and return address labels. You may also specify a line of additional information about your station, and the default transmitted power to be entered in the log forms.

Select the OK button to accept your entries. LOGic will update its DX and Direction info tables. This will take about a minute.

LOGic is now ready to use.


Internet Telnet and WebCluster interface

LOGic's spotting feature will receive spots via internet Telnet and WebCluster sites. LOGic supports up to four simultaneous internet spotting sessions, all using one port or modem and one internet connection! To use these features, connect to the internet as you normally do.

Telnet

The Telnet protocol permits logon to remote computers via the internet. There are several packet cluster computers that you can access via Telnet instead of packet.

To use LOGic's Telnet, select Telnet from the Forms menu. Telnet works almost exactly like the data terminal, except setup is easier. Enter the host and click Connect. Try one of the addresses in the dropdown list. Telnet servers change frequently. Search the Web for currently-available nodes.

Log on using your call for login, and your name for the password. Use the Packet mode. Follow the instructions that appear after login for connecting to the cluster. LOGic's Telnet supports local echo. If you see every character you type appear twice, turn off local echo.

There is a list of Telnet packet cluster hosts at http://www.geocities.com/CapeCanaveral/1641/DXClusters.html

WebCluster

LOGic will spot from the DX Summit (formerly OH2BUA) WebCluster site. These are World Wide Web sites that collect spots from various Packet Cluster sites around the world and display them on a web page. LOGic can process these spots as it does from packet or Telnet. There are a few unique options related to WebCluster spotting.

The proper web address as of this writing is entered by default, but you may change it if the web sites were to change address. The View button shows the web page in your browser. You may adjust the interval that LOGic reloads the web page to check for new spots, or turn the timer off and request the data manually by clicking the download button. LOGic normally ignores spots that do not originate from your continent. If you check Process all spots, LOGic will process everything.

LOGic supports two WebCluster interfaces to permit downloading spots from two different WebCluster sites.

LOGic is programmed according to the format of these web pages. If the format changes, LOGic may not work.

DX Summit permits the posting of spots. Click the spot button [image] or use the Broadcast DX Spot feature from the log form. Click here for more info.

Here is the DX Summit home site: http://oh2aq.kolumbus.com/dxs

Lgic's WebCluster interface supports Proxy Servers. Go to Tools/Setup/Misc Ham Setup on the General page. Enter your proxy server name and port


Keyer/parallel port interface schematic

Here is the schematic to make your own hardware interface for LOGic's CW Keyer feature. This circuit works only for transistorized rigs! Note that parallel ports are connected directly to your computer's bus, and serious damage to your computer could result if improper voltages are applied to the key line. Use this circuit at your own risk! An assembled and tested interface with optical isolation is available at a reasonable cost from pda.

This circuit plugs into a PARALLEL printer port. Do not attempt to plug it into a serial port. If you use the proper MALE connector when building your interface, you will not be able to plug it into a standard serial port.

You will need the following items:

  • One DB-25 MALE connector and shell

  • One 2N4401 transistor or equivalent Radio Shack #276-2058

  • One 1K-ohm resistor

  • A length of shielded 2-conductor cable

  • A plug to fit your rig's key jack

  • Solder, soldering iron, wire cutters

DB-25
Pin 1  -----------------e-|\
Pin 17 ------1K-ohm-----b-| | 2N4401 NPN (top view TO-92 case)
                     +--c-|/
                     |
                     +-------------------------> Xmtr Key (hot)
Pin 22 ----------------------------------------> Xmitter Key (ground)


Lists Table

0 The lists table contains lists of valid values. The table contains DXCC countries, WAS states, US counties, CQ Zones, ITU Zones, etc. These values appear in the dropdown menu fields on the log form, and are used for storing awards progress tallies.

You may add your own lists to the lists table. For example, you may make a user-defined field for the antenna used to make a QSO. If you enter a list of antennas here. they will appear in a dropdown menu field on the log form. A more common reason to add information to the lists table is to add a new award to LOGic.

You may also use the lists table to modify existing lists—for example adding a new DXCC country.

To access the lists form, select Tools/Setup/Lists of valid values from the menu bar.

For each record, enter the field name and a valid field value. Enter a description. The description will appear in the description column of dropdown menus. Check the Deleted box if the entity (usually a DXCC country) is deleted from active status. The Misc field is used for various purposes by LOGic. For DXCC entries, it contains the ARRL-assigned key number used by ADIF for proper import and export of DXCC countries. It contains the state in ARRL SECT entries. The FIX STUFF misc utility uses it to look up states from QSOs that have an ARRL section logged, but no state.

LOGic can update the US Islands and Canadian Islands lists from the internet. Select Internet from the tools menu. The programming that imports this data is dependent on the format of the data stored on the web sites, and will fail if the format of the web data changes.

If there are other awards lists that you would be interested in having in LOGic, have the award sponsor contact us.


Log fields

Most of the fields in the log form are self-explanatory or are adequately documented with the touch help or status bar help. However, some need additional explanation.

  • Call Enter any portable designators as customary, except when a station signs portable with a single number. In these cases, enter the portable designator with the proper country prefix so that the computer can process it properly. For example, log N6MRQ/4 as N6MRQ/W4. If the station is signing with a designator that does not indicate his location--MM for Maritime Mobile, AM for Aeronautical Mobile, or an interim identifier for a temporary license upgrade authorization, enter this suffix preceded by a dash (-) instead of a /. For example, WN4AZY-AM. This will prevent LOGic from treating it as a true portable designator.

  • State This field is for valid US states that count for WAS only. Enter MD if you work a District of Columbia station. This does not affect address printing when QSLing. Entering a state will alter the beam headings and prefix display unless a grid square is logged.

  • DXCC This field is used for tracking DXCC. It is normally filled in automatically based on callsign. However, there are some cases where the country cannot be properly determined from the callsign. In these cases, simply enter the country manually. Press {F2} for a list. You may type the first letter or two of the country, then press {F2}. This will cause the country menu to pop up with the selected area of the list displayed, so that you do not have to page through a long list. In instances where location can be more accurately determined from the country than the callsign (the country designator contains a hyphen), entering a country will alter the Prefix Info Box and beam headings.

  • RST Sent and Rcvd. Enter the signal reports here. You may make these default to 59(9) by clicking Log/Setup.

  • Via Enter information about how a QSL card is sent. Put a manager's callsign, BURU, or whatever, here. This field interfaces to LOGic's QSL Route facility.

  • Mode A list of valid modes is displayed at the bottom of the screen. This list is taken from the data entered in the Modes form. You must enter a mode for LOGic's awards progress tracking to work. The mode is automatically filled in from the value entered in the last QSO, or to the mode read from a computerized radio.

  • Freq Enter the frequency in Megahertz. Your entry will be checked against the band table, and you will be alerted if you are operating outside a legal amateur band. If the frequency is inside a valid amateur band, the band field will be filled in automatically. You may alter the band table to conform to your license class, add new bands, or remove bands that you do not use. You do not need to enter a frequency.

  • Band You must enter a band for LOGic's awards progress tracking to work. The band field is automatically filled in with the band from the last QSO logged, or, if using LOGic with a computerized radio, from the frequency on your radio.

  • Date and time Date and Time On are automatically filled in for you. Time On is first filled in when you Add a record. This keeps the new record at the bottom of the Browse window. It is updated when you type a call and press {Tab} to indicate the time contact was established. Time Off is filled in when you exit the Data window or add another QSO. You may manually change these fields. A Set time off option is available from the Log menu pad for easily filling the Time Off field with the current time. Automatic logging of date and time may be turned off. This is helpful when entering data from your old paper logbooks.

  • QSL Sent This field keeps track of cards sent. If you want to send a QSL card for this QSO, place an R (Requested) in the QSL Sent field. This alerts the report writer to print a card or label for this QSO. F (Fulfilled) means that the card has actually been sent. The report writer will (with your permission) automatically update this field. However, if you are filling your cards out by hand for some reason, type F here to show that the card has been sent. This field has no effect on awards progress tracking. You may enter X to indicate that the other station does not want a card.

  • QSL Rcvd This field indicates not only whether or not you have received a QSL card for this QSO, but if you expect to receive a card. If you have requested a card and expect to receive it, enter An R (Requested) here. When you receive the card, recall the QSO and enter an F (Fulfilled) here. You may enter X to indicate that a card is not wanted, or an I to tell awards tracking to Ignore the QSO.

    The awards progress system uses the QSL Rcvd field to track unworked/worked/confirmed status. It also indicates Requested status so that you can see that while an entity is not confirmed, you are expecting a card for it.

    Note! The QSL Card printing process looks only at QSL sent. Awards tracking looks only at QSL Rcvd. Be careful not to confuse the two.

  • Pwr If you desire, log transmitted power in watts here. This is automatically filled in with the value you entered in the Station Info form, if any. This field will accept fractional watts for QRP operation. Only the four most significant digits will be stored.

  • Operator if the same log is used by several operators, as may be the case with a DXpedition or club station, enter the call of the operator making the QSO here. This field defaults to the call entered in Station Info. If you change it while logging, the new call will carry forward to subsequent QSOs.

  • Contest ID is filled in automatically when contesting. LOGic uses it to differentiate between contest and non-contest QSOs.


Data access forms

See also: Actions

LOGic provides you with the most powerful yet convenient screens for accessing your data. The same set of screens is used for entering, editing, searching, and viewing your data.

If the log form is not already open, click on Forms on the menu bar, then Log. When the file selector appears, select DEFAULT.LOGFORM. You will see other files listed as well. These are log forms for contesting. You can also create your own log forms to be added to this list, but for now select DEFAULT.LOGFORM. This is a basic log form that has the fields and layout needed for general all-around logging.

LOGic's other data forms (QSL routes, Lists, Band Table, etc.) operate similarly to the log form. Once you learn to use the log form, you will know how to use LOGic's other forms.

Each data access form has two windows--a Browse form and a Data form.

Data form

The Data form shows one record at a time, but displays all fields of the record. It is also used to change your data or enter new data. Navigate the data window by clicking on the desired field with the mouse, or using {Tab} to move to the next field, or {Shift+Tab} to move backwards through fields. Touch Help is available for most fields. Some fields display additional info on the status bar .

Browse form

The Browse form uses a grid to show several records simultaneously. It is a great tool for visually scanning your data. You may scroll through it with a mouse or with the {Page Up} and {Page Down} or {Up Arrow} or {Down Arrow} keys. Click on a record to display it in detail in the data window. The currently-selected record is highlighted. Most browse forms have more data than will fit on the grid. Pan sideways with the bottom scroll bar to see all fields. The grid has several customization options. The browse form may be resized to take up less space or to view more data.

The browse window may be anchored to the bottom of the data window. To anchor it, click the anchor button until it is depressed or pushed in on the browse window. Having the browse window anchored makes organizing windows easier if you open several log forms.

To unanchor it so that it may float freely inside the LOGic application window, click the anchor button so that it is not pushed in .

You may close the browse form if it is not needed. You cannot close the data form without also closing the browse form, but you may minimize it.

Note that the browse and data windows are coordinated. When you select a different record while in one window, the other window is automatically updated to show the new record.

Columns displaying indexed fields are marked with an asterisk (*). Double-click a marked column heading to change the database order. For example, if you double-click the Call column, the data will be reordered to display alphabetically by callsign. If you double-click the date field, the database will be ordered chronologically. The column currently indexed is indicated with an underlined caption. You may click the search button to search indexed columns.

Some browse forms have edit fields for accessing freeform notes that are associated with a record. Right-click to change font, etc. The check marks on the index tabs allow you to determine if there is anything entered without having to select the tab and actually look at the field.


Log Form Layout Customization

LOGic's log form offers unsurpassed flexibility. We have already discussed customizing appearance by changing color (see page 14), font, etc. However, this only scratches the surface of the power of LOGic. You can add and remove fields, position fields anywhere you desire, change the ordering of fields, and even change the log form work area.

Form Layout Toolbar

Before modifying the log form, make sure that there is at least one QSO in the log. If there are no QSOs in the log, add a dummy QSO for now, and erase it later. Click the lock/unlock button on the form. When the form is unlocked, a form layout toolbar appears. The tool bar may be docked by moving it to any edge of the log form.

When the form is unlocked, you may move fields and labels by dragging them with the mouse. For precise placement, right-click the field, and use the arrow keys to move the field. When done, press {Enter}.

0 To hide a field or label, drag it into the trash can icon on the tool bar.

To unhide a field or label, click the trash can button on the toolbar. A form appears that lists all hidden items. Select an item and double-click to unhide.

0 The Factory button sets the layout back to factory default. There is no undo option if you do this, so make sure that you no longer want the current form layout before doing this!

Resizing Form Work Area

When unlocking the log form, the form work area automatically expands to give you room to add more fields. If the log form is still not large enough, you may drag any edge or corner to make it even larger.

When locking the log form, it automatically shrinks to the smallest size possible to still show all of your fields.

Control Properties and Field Size

If you right-click on a field or label, the control properties form appears. This tool permits precise positioning of controls by specifying their position in number of pixels from the top and left edges of the log form. It may be easiest for you to drag controls to their approximate position, then precisely position them with the control properties form. Although precise placement may be done by clicking the pointy-finger buttons with the mouse, the easiest way is with the keyboard. Use the four arrow keys to move the field. Press {Enter} after you have moved the field to the desired position.

The size of character and memo fields may be changed with the control properties form. Automatic sets the field based on the size of the field in the database or the size specified for user-defined fields in the log fields table. If you turn automatic off, you may set the number of characters wide and rows high. If the field is set to one row high, you cannot expand it beyond the size of the field in the database or log field table.

Note that changing the field size on the log form has no effect whatsoever on the database. If the field on the log form is smaller than in the database, the field will scroll sideways to accept additional typing. If the field on the log form is smaller than in the database, the field will stop accepting data when the maximum data base field length is reached. You may change the size of most database fields. Select Tools/Miscellaneous Utilities from the menu bar, and run Change size of log fields.

You may also hide controls from the control properties form.

Notes, Address, and additional User-defined Fields

LOGic's factory setup includes several fields and labels that are hidden by default: User fields six through twenty, and fields for notes and addresses. Although notes and addresses are always available in the browse form, you may wish to place them on the log form.

There is also a field for LOGic's USERFIELDS field. This is a long character field that LOGic uses internally to store user-defined fields. This field exists for diagnostic purposes only. You should not edit USERFIELDS directly.

Tab order

0 After changing the form layout, you will probably want to change the tab order, which is the sequence of fields that the cursor moves through as you press {Tab}. Click the tab order button on the layout toolbar. The tab order form appears. Drag the fields using the slider buttons to the left of the list to change the tab order. The top field will be first, the next field second, etc. The Call field should be first.

If you double-click a field in the Tab Order window, the associated field on the log form will flash. Use this feature to help you visually locate a field on the log form.

Log Form File Management

Form layouts are stored in files with a .LOGFORM extension. These files are normally kept in the LOGDATA\LOGFORMS folder inside your LOGIC5 home folder. Clicking the Manage Log Forms button on the menus that let you select log forms will open an Explorer window in this folder. Here you may copy, delete, or rename log forms using standard Windows file management techniques.


Log Form Tips

Here we will discuss miscellaneous pointers for making the best use of the Log screen.

The time, date, and information from the Prefix table are logged when you press {Tab} while in the Call field. You may log information in anticipation of working a station, even if you do not know the callsign, by pressing { [image]} to exit the callsign field. Log the information that you hear. When you establish contact, place the cursor in the call field, type corrections to the callsign if necessary, and press {Tab}, or use the force log option of the log menu pad.

If you have already logged a QSO by pressing {Tab} while in the Call field, and wish to correct the callsign without changing the Time On field, use the { [image]} key to exit the Call field after typing in the changes.

Previous QSOs window

As discussed previously, when you work a station who is already in your log, you are notified, and items such as name and QTH are automatically logged. To view the previous QSOs, use the Other QSOs form. This may be accessed by clicking the check mark next to Call on the log form, or from the Forms menu. A window similar to the Browse window will appear with previous QSOs displayed.

There is an option to do an exact match on the logged call, or to show portable or mobile QSOs with the same station even though the calls may be different.

To view one of the other QSOs in the log form, select it and click Go to, or double-click the record in Other QSOs.

The Other QSOs window automatically displays other QSOs with the station shown in the log form. You may type a call in the Other QSOs window to search for all calls with a station other than the one displayed in the log.

This form also shows previous QSOs with stations in LOGic's spot log.

Email

If you have email capability, you can add a EMAIL user-defined field to your log screen to log the other station's email address. When an enail address is displayed, you may easily send email buy selecting the email option from the log menu. This option uses whatever emailer you have configured in Windows. It works the same as if you click an email link in your web browser.

Multiple log forms

You can open more than one log form at a time while in LOGic. For example, you can have one log form open to log the QSO you are currently engaged in, and open a second log form to view different QSOs in your log. You could create different custom log forms for different logging activities, rag-chewing, DXing, net operations, digital communications, etc. See Designing Your Own Log Forms on page 46. If you have more than one rig interfaced to LOGic, you can associate a sepa-rate log form with each rig. Search for Radio Interfacing in Help for more info.

LOGic implements different contests with different log forms. See Contesting in the Advanced section of LOGic's help.

LOGic can automatically open up to two log forms on startup. The log form menu has options to choose which forms to open, or to turn off auto opening of log forms.

Note that opening different log forms does not create different log databases. A log form is merely a tool for accessing your data. For instance, if you enter data in the CQWW contest log form, the Main log form can also be used to view your CQWW data. It is desirable to keep your contest logs in the same database as the rest of your log so that they count for DXCC and other awards. LOGic knows how to separate the contest data when scoring, etc.

If you really want another database, see Multiple Databases.


Logging a QSO

See also: Actions, Data access forms, Notes, Addresses, and Biographical info

0 By now you are familiar with the overall operation of LOGic. Let's log a QSO. Open the info form and log form if they are not already open. Use the Forms menu. (It is not necessary to have the info form open to use the log form, but we will be discussing it in this section). Click the Add New QSO button . Type a call in the Call field, then press {Tab}. The little box to the right of the call field will be checked if the station has ever been worked before. If the station has been worked before, name, QTH and state will be copied from previous QSOs. You can choose which fields are copied from previous QSOs and the prefix table.

LOGic will analyze the callsign by searching its database of over 4,000 prefixes, and in most cases look up and log the proper DXCC country. Other information, such as CQ zone, ITU zone, and continent may be logged. If your radio is interfaced to LOGic, the band, mode, and frequency will be logged.

Info Form

The Info form will display comprehensive information about the station's location, (often to within a region of the country), DX and direction to the station, DXCC country, CQ and ITU zones, time zone, local time at the station's QTH, any "time warps" such as Daylight Savings Time, ARRL bureau and third-party traffic status, etc.

The info form has buttons for adjusting the UTC Offset to correct the UTC clock, setting your system clock, and updating sunrise/set times.

DX and Direction

When entering a call, the info form displays approximate DX and direction based on the callsign. Note that this is an approximation. These figures will be more accurate if you log a state or grid square. Use the DX Calculator under the Tools menu for exact DX and Direction calculation.

Use the return direction to assist the other station in aiming his antenna towards you. See the appendix on return headings.

The DX and Direction calculation is of course based in part on your location. You may change your latitude and longitude in the station info form.

Moving from Field to Field

Navigate the log data form by clicking on the desired field with the mouse, or using {Tab} to move to the next field, or {Shift+Tab} to move backwards through fields.

Dropdown Menu Fields

Fields that have a predefined set of choices (DXCC, state, band, mode, etc.) appear as a dropdown menu field. If you know the value to be entered, you may just type it. Press {End} to go to the last choice, {Home} to go to the first choice, or {Del} to blank the field. To see a menu of choices, press the {Space} bar or click on the down-pointing arrow to display the menu choices. You may select from the menu with arrow keys or by typing the value, then pressing {Enter}, or by clicking with the mouse.

0 Most dropdown fields display descriptions for each acceptable value. You may search the values and descriptions by pressing {F2} or clicking the button to the right of the field [image]. A search control will appear.

Log Menu

The Log menu (on the menu bar in the log form, not in the main LOGic window!) accesses options related to the log form. You may press {F5} for quick keyboard access to this menu.

Real-time and Non-real-time Logging

By default, LOGic is set up for real-time logging. It automatically logs the date and time, and reads the band, frequency, and mode from the rig if the radio interface is enabled. To enter data from an old logbook, you may disable real-time mode by selecting Real-time mode on the log menu, and turning it off/

If you want a log form to start up with real-time mode off by default, click Setup on the Log menu, and and turn off real time logging in the General section.


LOGic 6

Select this book to print the entire help file.

This help file ©1999-2002 by Personal Database Applications. All rights reserverd.

Consult the LOGic manual or contact PDA for license agreement.

Personal Database Applications
1323 Center Drive
Auburn, GA 30011-3318

http://hosenose.com

pda@hosenose.com

770-307-1511
770-307-1496 Tech Support
770-307-0760 Fax


Managing_forms_Forms_menu_and_Wi

Type topic text here.


Managing forms: Forms menu and Windows menu

Managing forms: Forms and Windows menu

LOGic is a spohisticated program with many features. Many of these features are associated with forms. It is important to understand how to open, close, and otherwise manager forms.

Forms menu

To open LOGic's forms, select Forms on the menu bar. Some forms may be opened multiple times, (unless the multiple forms feature is disabled). If you attempt to open a form that is already open, and that form does not permit multiple instances, the currently-open form will be displayed.

The Awards, QSLing, Contesting, and Reports menus open some of the same forms as the Forms menu.

Some of LOGic's forms cannot be accessed from this menu. Radio interfaces and data terminal forms are opened automatically when you go to Tools/Setup/Misc Ham Setup and specify the COM port to be used, etc.

Window Menu

If you have experimented with LOGic's Forms menu, you have quickly learned that you can have many forms open at the same time. Some may become "lost" behind other open windows. The Windows menu provides an easy way to manage your open forms. It lists the titles of all open or minimized forms, and displays a check mark next to the currently active form. You may select another window to be the active window. Just click on the title of the desired form. If the selected form is minimized, it will be normalized.

If the form is positioned beyond the edge of LOGic's main window (this can happen if you reduce the size of LOGic's main window), it will be moved so that a corner will be visible.

The Cycle option steps through all open or minimized forms.

Miscellaneous hints for managing forms

Most forms can be minimized. Minimizing a form shrinks it to a small icon and title bar at the bottom of the main LOGic window. Minimized forms continue to function—you just cannot see their contents. Normalize (unminimize) it for immediate viewing. Clicking the leftmost control in the top right hand corner of a window minimizes or normalizes it. You may also normalize a minimized form from the Window menu, or by double-clicking its title bar.

You may find that you have inadvertently opened many instances of the same form. To prevent this, do not use the Forms menu to access a form that is already open. Just click on the form, or if it is hidden behind other windows, use the Window menu. You may disable LOGic's multiple form instance feature.


Map

LOGic’s map facility features a unique Azimuthal equidistant projection that is drawn specifically for your QTH. You may display the whole earth, or zoom in for more detail--ideal for VHF work. The map shrinks and grows as you resize the window. The gray line and sun position are shown and updated in real-time. As you QSO, a line is drawn to the stations you hear or work. DX spots received, packet, Telnet, or WebCluster, are plotted.

As you move the mouse over the map, the DX and direction to that point is displayed. If your antenna rotor is interfaced to LOGic, clicking the map aims the antenna to the point you clicked.

Here is an explanation of what you see on the map.

  • Green areas represent land. Blue areas represent water White areas represent ice.

  • Red dots are drawn on your QTH (the center of the map), and the north and south poles.

  • Country boundries are drawn with a dark gray line. United States state boundries are drawn in light gray.

  • The sun is represented by a yellow dot. The gray line between night and day is represented as a gray line circling the sun. If the sun is inside the circle, the area inside circle is in daylignt, and the area outside the circle is in darkness. If the sun is outside the circle, the area inside the circle is in darkness, and the area outside is in daylight. See also the Gray Line report .

  • A multicolored line is drawn from your QTH to the QTH shown in LOGic's info form. The Info form in LOGic must be open or minimized for this feature to function.

  • Pink dots represent the location of received DX spots. The location of these dots is based on the country or region determined from the callsign, and may not be exactly on the station's QTH. Holding the mouse on top of the spot will display information about the spotted station, such as the callsign of the DX station, who spotted the DX station, the DXCC country, date/time, etc. Clicking a spot will set the rig and rotor to that spot. Right-click to aim long-path.

  • Light-gray dots represent stations generating DX spots. You may hold the mouse on top of the DX spotter and the posted spot to display detailed information.

You have the option to draw a line between the spotting station indicator and the spotted DX station. Note that the line connecting the spotter with the DX is merely a straight line drawn between the two markers. It is visual aid only, and does not accurately indicate the actual short path between the two stations. However, if either station is close to you, the line will approximate the actual path.

The map must be drawn for your QTH. The latitude and longitude of the map are set automatically to the values entered in LOGic's Station Information form. However, you may view the earth from different locations by changing the latitude and longitude in the map form. Click the Options button.

You may also change the area that the map covers by changing the radius. The radius is the distance covered by the map from your QTH to one of the borders. When changing the map latitude/longitude, or changing the status of Draw Rivers, the map must be redrawn to reflect the changes. Click the Draw button. Drawing the map takes several minutes.

Changing the options to show or hide the sun/gray line, and DX spots take effect immediately. You do not need to redraw the map for these options to take effect

You may make the map image larger or smaller by resizing the map form. It is not necessary to redraw the map after resizing the form. However, the map will look better if it is displayed at the resolution that it was drawn for. A tiny map expanded to very large looks particularly crude. We recommend that you size the form to your liking, then redrawing the map.

Drawing a map with a small radius may cause some water areas to not be shaded properly. This is normal.

The map graphic may be saved to disk and used in other programs or to post on your web page. The file is saved as a standard Windows BMP file.

DX Atlas

LOGic also interfaces to DX Atlas, a third-party map program with many impressive features. Select DX Atlas from the Forms menu. LOGic will plot your station and the other station in DX Atlas. LOGic's Info window must be open for this feature to work.

http://dxatlas.com


Multiple instances of LOGic

Normally, LOGic will not run twice. If it is already running, and you attempt to run it again, the current copy will be shown. However, it is possible to run more than one copy of LOGic on the same computer simultaneously. You may install more than one copy of LOGic, or run the same copy more than once. Either way, you may select which database to access with any instance.

The multiple instance feature is made possible with the INSTANCE= parameter. Put any character or numeric identifier after INSTANCE= parameter on the command line.

For example:

LOGIC INSTANCE=MYCALL

You may type this in the DOS command window, or create a shortcut as described for networking.

The DATA= parameter may be used in conjunction with the INSTANCE parameter.

Note that multiple instances of LOGic cannot share serial ports. Printers and internet connections may be shared.


Networking and multiple databases

LOGic is multi-user and supports networking. This is fantastic for multi operator contests! For a contest or special event, you may install LOGic on all participating machines for the duration of the event. However, be sure to remove it from all machines that are not used by you or your immediate family to avoid being in violation of your license agreement!

Install LOGic on a second or subsequent computer as usual. When running LOGic, tell it to use the central database that all copies of LOGic will be sharing. This is done with the DATA= parameter on the command line. Tell it where both the data and logdata subdirectories are, separated by a semicolon. Put the LOGDATA subdirectory first. For example, suppose that you want LOGic to share data on a local drive or a network drive that has been mapped to F: on your machine:

LOGIC DATA='F:\LOGIC6\LOGDATA;F:\LOGIC6\DATA'

Note the single quote marks. This is necessary if any of the directories contain spaces.

LOGic supports UNC (Universal Naming Convention) when referring to network subdirectories. For example:

LOGIC DATA=\\WN4AZY\C\LOGIC6\LOGDATA;\\WN4AZY\C\LOGIC6\DATA'

Will access the C drive of a computer with a network name of WN4AZY. This is the easiest method because it does not require mapping drives.

When specifying a DATA= parameter when running LOGic, you may type the command from a DOS command window. (You must be running a DOS window while in Windows 95 or NT. LOGic will not run if you boot into DOS mode). You may also make a shortcut. Just copy the LOGic shortcut, and modify its properties as shown here. There is a Manage Start menu option on the Tools/Advanced menu to get you to the right place in Windows.

You may also access multiple databases on the same computer. LOGic normally keeps all of its data in one database so that awards tracking, previous QSO lookup, etc. will consider all of your data, contest or otherwise. However, you will want to create a separate database for other family members, stations you are QSL manager for, etc. Here's how:

  • Create a new database by copying the entire LOGDATA folder from inside LOGic's home folder. Just copy and paste.

  • Run LOGic, using the DATA= parameter as described above. However, do not include the DATA subdirectory. Include only LOGDATA. This way everyone will share the same prefix and QSL route info. For example:

    LOGIC DATA='C:\LOGIC6\WN4AZY'

  • Go to the Tools menu, and select Misc Util/Zap log.

  • Go to the Tools menu and select Update awards progress info.

You can use the REPORT= command line option to tell LOGic to use a different report folder. Here is an example of the shortcut target:

C:\LOGIC6\LOGIC.EXE REPORT=C:\USR\MYLOGICREPORTS


Setting computer clock to NIST

Your system clock may be automatically set to the National Institute of Standards and Technonogy (NIST) atomic clock (the same one WWV uses) via the internet. To turn on this feature, go to tools/setup/internet. If you are not connected to the internet when starting LOGic 6, an unintrusive notice is displayed.

You may also set the clock to NIST by clicking the clock icon in the Info window.

LOGic 6 is programmed to know about all available time servers that support the required protocol. If one server is down, it will automatically try another.

http://www.boulder.nist.gov/timefreq/service/its.htm


Notes for LOGic 5 users

Do not install LOGic 6 in the same directory as LOGic 5.

When running LOGic 6, you will notice that you can no longer change the font size of forms by resizing the window with the mouse. We got too many complaints about this feature--peole were accidentally changing the font size when they meant to move the form, and some folks were extremely unhappy that the form snapped from one font size to the next. To change font sizes in LOGic 6, right-click the background of the form.

Don’t be intimidated by all the new menus. Most of the old familiar selections are still there. The Log menu has been moved from the main menu bar into the log form. Likewise, the QSL Routes menu has been moved to the QSL Routes form.

The easiest way to import your data is to go to tools/import in LOGic 6, and select the option to import LOGic 5 data. You may also do a backup in LOGic 5 and a restore in LOGic 6, or copy logdata\log.* from LOGic 5 to 6. If you transfer the data by any means other than tools/import, be sure to do tools/update awardsprogress.

You may copy your lists and prefix tables from LOGic 5, although the ones included with the LOGic 6 are believed to be 100% up-to-date. The prefix table has a new field named POLITICAL. This is used by the Web Callbook to determine the political entity to which a callsign belongs, so that it can tell which web site to use. If you copy a LOGic 5 prefix table, this field will be added, but will be blank.

The LOGic 5 data, reports, and log screens are 100% forward-compatible with LOGic 6.

Log forms

Log forms are now stored in their own folder. Import your old log forms by copying them from the LOGDATA folder in LOGic 5 into the LOGFORMS folder inside the LOGic6\LOGDATA folder.

Reports

You may copy your custom reports from LOGic 5's report folder to LOGic 6's report folder (note that all reports consist of two files each-- .REP and .FPT). Don't forget to move your own picture files. There is one minor change in the report format. To alleviate the anxiety caused to a newcomer by LOGic's numerous reports, they have been categorized into various categories such as Log reports, Awards reports, QSL reports, etc. Therefore, we recommend modifying your reports and selecting a category after copying them to LOGic 6. If you don't, you can still access them by selecting All Reports from the report menu.

Updating from LOGic 4 and previous

LOGic 6 has a menu option to import LOGic 3 and 4 data in tools/import. With some work, LOGic 4 reports can be imported.

LOGic 6 cannot import LOGic 1 or 2 data. If upgrading from these versions, send us your data and we will do the import for you at no charge.


Notes, Addresses, and Biographical Information

On the log's browse form are index tabs that access Notes, Addresses, and Biographical information. This information appears in editable fields. Right-click to adjust the font size, etc. The check marks on the index tabs allow you to determine if there is anything entered without having to select the tab and actually look at the field.

LOGic can store unlimited notes with each QSO. This is good not only for long comments, but also for storing third-party traffic or the contents of a digital QSO. You may copy data from the data terminal, or any other Windows program, and paste it in Notes, Address, or Bio.

If you plan to generate mailing labels, enter the address in the Address field. Addresses may be easily copied from callbook databases while logging, or you may type the address yourself. Format the address as you want it to appear when printed. There is an option under Log on the menu bar to copy the name, QTH, and state from the log data to address field.

If you want to print an address from a CD-ROM callbook database, you must transfer the address to the address field. The report writer cannot read the CD-ROM directly. This gives you an opportunity to review the address for proper content and format.

Biographical information is like notes, except that info for all QSOs with a particular station is stored in a central location. So, if you work the station the first time, and enter some info in the bio field, it will appear when you work the same station subsequent times. You may add to or edit the bio info at any time. Controls on the bio page allow you to add or erase bio info.

Notes and addresses fields may be placed on the data form. See Log Form Layout Customization.


Notes for LOGic 4 users

This is information that will assist LOGic 4 users in converting their customized reports, screens, and contest setups.

LOGic 5 and 6's database is different from previous versions. Changes to the log file are minor:

  • Country field renamed to DXCC

  • GRID is no longer a user-defined field. It is a regular field now.

  • User-defined fields are stored in a new USERFIELDS field. They are no longer stored in Comments.

  • A new FREQ_TX field has been added for logging split operations.

  • A new QSO_DATET field stores both the date and time in seconds since creation. It is used internally by real-time contest status. The QSO_DATE and time fields are unchanged.

    The rest of the database has changed substantially, especially where related to awards tracking. Nonetheless, you may want to try converting your LOGic 4 reports. QSL cards and labels will require only minor changes. The LOGic 6 report writer will load and display them. You will get errors where database commands and expressions that are no longer valid. You may want to convert only to get the layout part, then use the clipboard to transfer database commands from a LOGic 6 report.

    There is a miscellaneous utility for importing LOGic 4 screens. All contest expressions are converted to use the new field names. Field layout is not converted. Here is the best way to handle them. LOGic 5's log form files are just text .INI files. Using any text editor (one is under the Tools menu) Convert the LOGic 4 report, then copy the [Form] section from one of LOGic 5's contest setups, and paste into your new log form file.


Progress Displays

LOGic gives you up-to-the-minute awards progress status. From the Forms menu, select Awards Progress 1. This form shows the awards progress for every band and mode combination. The top row shows the mixed mode progress for each band. The left column shows the mixed band progress for each mode. The top left hand corner field shows overall mixed/mixed progress. Status codes correspond to the QSL codes used in the log form. F means Fulfilled or confirmed. R means that a QSL has been Requested but not received. W means Worked, but no QSL received or requested.

The progress display is coordinated with the log form and will automatically show progress as you log. You may also look up specific entities by typing the value in the field and selecting the OK button.

The same form tracks not only DXCC, but all other awards and subawards™. Click the Sel button to change the award being displayed.

There are two progress forms. You may open them both and set each to a different award.

When tracking DXCC, CQ Zone, ITU Zone, and Continent, you may use callsign lookup. Suppose you hear a station and want to see if you need him for CQ Zone. Rather than log him and Undo if you don't need him or can't work him, click the search button [...] or press F2. Enter the callsign and press Enter. The associated CQ zone will be displayed along with progress info.

You may enter a prefix or complete callsign. However, when using callsign to look up DXCC, you must enter enough of the callsign data so that the computer will not assume it is a DXCC prefix. If the value you enter has letters and numbers, and ends in a letter, callsign lookup is performed.

There are two progress forms. You may open them both and set each to a different award.

Progress List

To get a summary of your progress and a list of worked, unworked, confirmed, etc. select Progress List from the Forms menu. Select an award, subaward, band, and mode, then click Next. You will be presented with totals summarizing your progress. The grid lists all entities for the award. You may view all or any combination of fulfilled, unworked, etc. by checking the appropriate boxes and buttons under the grid.

The report writer will print reports of your progress in several formats.


Prefix table

LOGic includes a large prefix table that uses the callsign to look up DXCC, zones, and other info. When you enter a call in the log screen and press {Tab}, the info displayed in the info form comes from the prefix table. The prefix table is also used by LOGic when importing data that does not contain standard ADIF DXCC info.

You may update the prefix table yourself should a new DXCC country be added or other changes in prefix allocation occur. Go to tools/setup/prefix table.

LOGic searches the prefix table by starting with the first five characters of the call and searching for a match. If none is found, LOGic searches on the first 4 characters, and so on. The ? may be used in a prefix to wildcard-match any character. For example, 4L?V will match 4L1V, 4L2V, 4LAV, etc. An underscore forces a space to be considered. For example, KG4??_ matches KG4XX, but not KG4XXX.

Beginning and ending dates may be entered to limit the effective date of a prefix. Use this when a prefix is assigned to a different DXCC country due to political changes. If only a beginning date is entered, the ending date is ignored. All QSOs on or after the date entered will use this prefix record. Likewise, if only an ending date is specified, any QSOs on before this date will use this prefix record.

Test the prefixes you enter by selecting Get, then enter a callsign. This searches the same way the log screen does.

You may also enter a complete call in the Prefixes field of the prefix table. This will allow LOGic to correctly identify stations with non-standard prefixes that cannot be identified by prefix. This feature is primarily useful for allowing the spotting feature to identify these stations.

Note that it is not necessary to have a prefix entry that matches every call entered in LOGic. There is no need to enter every special event call into the prefix table. If a prefix does not exist, DXCC etc will not be automatically logged. However, you should log the DXCC country manually. LOGic will use this for awards progress tracking. LOGic does not use the prefix table for awards tracking. It uses the data entered in the log form only.

The Time Warps field contains info about seasonal time changes. Select the proper "time warp" so that the info form will show proper local time.

The Political Entity field is used by web callbook lookup to tell which database to use. For instance, KL7 is not the United States so far as DXCC is concerned, but is part of the United States government, and is on the FCC callbook database. If nothing is entered for Political Entity, the DXCC is used.


PSK31 and other modes using your sound card

PSK31 and Other Digital Modes

LOGic interfaces to several excellent communications programs that support PSK31 and other modes via your sound card.

HamScope

This excellent digital communications program supports PSK31 and a number of other digital modes including CW and RTTY. Any data received by Hamscope is echoed to LOGic's terminal facility, and any data sent by LOGic will be transmitted by HamScope.

Start HamScope. Go to the configuration screen and tell it to use LOGic for logging. LOGic will start automatically if it is not already running. In LOGic, go to Forms/Hamscope and/or Forms/HamScope 2. These two windows correspond with HamScope's two windows.

You can use LOGic's auto logging facility, or log in HamScope. Anything logged in HamScope will be automatically logged in LOGic.

http://users.mesatop.com/~ghansen

MixW

To interface to LOGic, start MixW first, then LOGic. In the Log menu, select the MixW interface. Anything logged in MixW will be automatically logged in LOGic.

http://tav.kiev.ua/~nick/mixw/

DigiPan

To interface to LOGic, start DigiPan first, then LOGic. In the Log menu, select the MixW interface. Anything logged in DigiPan will be automatically logged in LOGic.

http://www.nvbb.net/~jaffejim/digipan.htm


PTT interface

LOGic supports Push-To-Talk for the voice and CW keyers so you do not need to rely on VOX. A parallel port or serial port is used for keying the rig's PTT line.

In tools/setup/general ham setup there is a field for selecting a serial or parallel port. You may use the same port as used for CW keying. A button that runs the Windows Device Manager will help you determine the base address of your port. This port is used for both CW and voice PTT. However, you may select PTT independently for CW or voice. If you will be using PTT for the voice keyer, indicate this on this screen. CW PTT is enabled and disabled from the setup page of the CW Keyer screen. This makes it easy to switch from PTT to QSK while operating.

In PTT-down mode, pins 2 through 9 on the parallel port have +5v. There is 0 volts when releasing PTT. Pins 22 thru 25 are ground.

There is a Release PTT option on the Tools menu to force release of PTT as a safety measure.


QSL Routes

LOGic's QSL Routes form keeps QSL manager information at your fingertips. The QSL Routes form is accessed from the Forms menu. It is perfect for recording QSL routes that you gather from on-the-air op-eration for future use. It is also used to access the optional PDA QSL Route List, which contains over 40,000 routes. This inexpensive list is available from PDA. It will greatly ease your DX QSLing chores, and increase your rate of QSL return. it can easily pay for itself in postage savings.

You may store DX stations and references to their managers, or man-agers' addresses. For that matter, you may enter anyone here just to keep record of their address.

Enter the call of the DX station or manager in the Call field. If the entry is for a DX station with a manager, enter the manager's call in Via. The cross-reference feature takes the call entered in Via and looks it up in the QSL file. For example, if F6FNU is the route for 1S1RR, LOGic will look for F6FNU and display his information. Click the Go To Via button to jump to the cross-referenced record.

You may enter other information about the station in the Comment field. You may enter an unlimited amount of information in the com-ment field.

If entering a manager, a direct route, or a DX station that has a manager and also accepts direct QSLing, enter the address in the address field. Format it as you want it to print on an address label.

You may enter more than one route for a station.

You may also enter the source of the route information, the date you obtained the information, and the dates for which the route is valid. This information is great for judging the value of a route.

The Moral field is to make a short note about how reliable the manager is.

Another handy and powerful feature of the QSL routes form are the boxes that list all stations having the same manager as the station en-tered in the Call field, and all stations that are managed by a station. Double-click an entry to jump to that entry.

The QSL Routes form is fully integrated with the log form. Select the appropriate option under the QSL menu to transfer via or address info to or from the log form. To copy from the callbook form, first look up the desired call, then click the Copy button.

You may customize the QSL routes form in the same manner as the log form. See Form Layout Customization .


Quick Tour

Let's take a few minutes to tour the basic features that you must be familiar with to use LOGic. All of the features discussed here will be presented in depth later in this manual.

Here is a picture of what LOGic might look like in typical operation. The log form is used for entering, retrieving, viewing, and editing log data. The browse form shown here below the Log window displays several QSOs at once. It has several options for organizing and searching your log data. The Info form shows information such as distance, direction, DXCC, country name, time zone, UTC , local time at the DX station, your local time, etc.

If the log form is not already open, go to Forms on the log menu, and select Log. A menu of log forms will appear. Select Main. If the info form is not open, fo to Forms and click Info.

Also shown is LOGic's rotor control head, and the control panel for a radio interface. However, this is just a small sample of the forms and options available in LOGic. There are many other forms you may open. There are forms that display packet spots, control your Packet Radio TNC or multimode controller, provide interface to internet resources such as Telnet or WebCluster, display awards progress info, show previous QSOs with the station you are currently working, etc.

To log a QSO, click the add button [image] in the log form. Type a call in the callsign field and press {Tab}. Fill out other fields as desired. If you want to print a QSL for this QSO, select Requested for QSL Sent. This flags this QSO so that a card or label will be printed when you run a QSL Card or QSL Label report.


Radio interfacing

LOGic will interface to most recent rigs with a digital VFO. This feature adds automatic logging of frequency, band, and mode as well as convenient remote control of the radio.

Setup

First of all, you must have the proper hardware to connect your radio to your computer. You will need a free serial port on your computer. Most radios also need a hardware interface to convert the TTL levels of the VFO to the RS-232 levels required by your computer. These interfaces are available from the radio's manufacturer. PDA also sells these devices in high-quality at a substantial savings. Contact PDA for details.

LOGic also interfaces with TRX-Manager , an excellent rig control system. LOGic treats this interface just as if it were a rig connected directly to LOGic. Note that you do not need TRX-Manager to interface rigs to LOGic.

Connect your radio to your computer's serial port as per the instructions included with the interface hardware. You must know which port you are plugging the radio into! This information is rarely marked on the computer. Consult the documentation that came with your computer or serial card.

Select Tools/Setup/Misc Ham Setup from the menu bar. Select the Radio Interface page. Here you can configure up to four rigs to interface with LOGic. For Driver, select the your radio model from the list. If your rig is not listed, try another interface for a rig of with the same manufacturer, or contact PDA to inquire about the status of your rig.

Select the serial communications port that your rig is plugged into. The dropdown menu lists all ports that are installed in Windows. Furthermore, it lists only ports that Windows is aware of. LOGic is capable of supporting at least through COM 16!

The baud rate defaults to the factory setting for your rig, which is 1200 baud for Icoms, and 4800 for all others. If your rig is set to operate at a different speed, select the proper baud rate from the dropdown menu.

Two stop bits is recommended for maximum reliability and RF immunity, but you may also select 1 or 1.5 stop bits.

For Icom and compatible rigs (such as the Ten-Tec Omni 6), select an address. The dropdown menu lists most factory-default addresses. However, most rigs permit you to change the address, so you may type in any address. If your rig is not listed, you may type in the proper address. Enter the address in hexidecimal (base 16). Often your rig's documentation will list the address followed with an h. For example, 40h. Do not type the h. This merely documents that the number is hexidecimal and not decimal. Hex digits are 0 through F. If you specify an invalid address, LOGic will attempt to determine the proper baud rate for you.

If you have more than one Icom or compatible rig, LOGic takes full advantage of the Icom bus "networking" so that several rigs can use the same interface and serial port. All Icoms and compatible rigs they must be set to use the same port in LOGic's setup! Set all rigs to the same baud rate, and each at a unique address.

You may enter a short description for each rig. This will be displayed in a menu when you select a rig to use in log form setup or in the radio memory form. If you enter nothing, the rig driver name will be used for these menus.

When interfacing to the Ten-Tec Pegasus or Kachina computer radios, LOGic interfaces to their software, and does not use a serial port itself.

When logging information from the radio, LOGic compares the mode you are currently operating with this list. If the current mode is not found, it ignores the mode returned by the radio and logs the mode from the last QSO. This allows you to log modes such as PKT or TOR that do not appear on your rig's Mode switch. For example, suppose you are operating TOR. Your rig's VFO is set to LSB. LOGic will automatically log LSB. Manually change the mode to TOR. LOGic will continue to log TOR for subsequent contacts. Now, suppose that you start operating CW. LOGic will continue to log TOR for the mode. Manually change it to CW. Since CW is supported by your rig, it will now resume reading the mode from the radio on subsequent QSOs. The list of supported modes is hard-coded in the rig driver program, so normally you do not have to enter anything for Modes. However, some drivers may serve more than one rig model which do not all support the same modes. In that case, you may enter a list of modes here. Separate each mode with a comma. For example: AM,FM,SSB,LSB,CW,CWN,RTTY

Transverter offset provides automatic support of transverters. Simply enter the number of megahertz here to be added to the rig's display to get the true operating frequency.

Radio Memories

LOGic's Radio Memory feature is a for maintaining lists of frequencies. It's function is similar to the memories contained within your rig. However, it has several advantages. You may have an unlimited number of memories. Each memory has a description, and may be searched by frequency or category. All rigs share the same database. Operators with multiple rigs will appreciate this!

Radio control panel

After you have set up your rig(s), click the OK button. A control panel for each rig will appear. It has controls for frequency, mode, step up, step down, fine-tune-up, and fine-tune down. Additionally, it may have other controls, depending on the capabilities of the rig. Use touch help to determine what the control does. The same control panel is often used for several rig models, so some buttons may not function.

The frequency should update as you spin the dial, and the mode buttons should indicate which mode is in use as you press the mode buttons on the rig. Icom and Kenwood radios will update the frequency display immediately, because they automatically send data to the computer whenever their status changes. There may be a few seconds delay for Yaesu rigs, since LOGic must request data from them on a periodic basis to update the display. This delay will not affect the Radio Memory form or logging, since LOGic always requests the latest data form the rig before saving the rig data to the database.

To set a frequency, type the new frequency in the frequency field, or use the little up and down arrows in the frequency field. You may set the step size for these controls.

The radio control panel is a dockable toolbar. It may float free and be resized to be a long strip or more square, or docked at any edge of LOGic's application window.

Radio toolbars may be hidden to conserve screen space. The Window menu lists each rig. Click to show or hide the rig toolbar.

Radio Memory form

Although The Radio Memory form has no separate browse and data components, it works similar to the log form and all of other LOGic screens. When adding a new record or making changes, data is typed directly into the grid. For each record, you may enter a frequency, mode, category, filter width, and comment. You may type this data in, or read it from your radio by pressing the Read button. To add a new record, please be sure to press the add new record button before clicking Read. Otherwise the data read from the rig will overwrite the currently-selected record. If you do this accidentally, the Undo button will recover the data.

Double-clicking the column headings marked with an asterisk (*) will order the database by that column. Use the Search button to search the currently-selected column.

The Set button sets the radio to the current record. The filter data is stored in kHz. If you are using multiple rigs that do not support exactly the same filter widths, the closest available filter width will be selected when setting the rig.

You may open multiple instances of the Radio Memory form.

Log form and packet spotting interface

If a rig is interfaced to LOGic, it will automatically log the frequency, mode, and band. You may also set the radio to the frequency displayed by the log using the option on the Log menu. The rig may be set to received spots . Clicking spots on the map will also set the rig to the spotted frequency.

For these features to work, the log form must be associated with a rig. From the log menu, select Setup, then the Rig, Rotor, and Terminal page. Log forms are associated with radio 1 by default. You may create different log forms, and associate each with a different rig. By opening multiple log forms, you may interface to different rigs simultaneously.

When logging band, the band is logged by looking the frequency up in the Band Table.

Troubleshooting

In order for LOGic's rig interface to work, everything, the computer's port, cable, interface, and the rig must be functioning. In addition, you must specify all setup parameters 100% correctly.

When LOGic tries to read data from your radio, but for some reason receives nothing, it will wait for a few seconds, then give you an error saying that the radio is not responding. The error message will include the port number, interface name, and for ICOM-type radios, and for Icoms, the rig address. For Icom-type radios, LOGic can determine if the hardware interface (CT-17 or PDA's LCU) is responding. You may get an error saying that the interface is responding, but the rig is not. This may help you diagnose the problem.

If your rig has a built-in RS-232 interface, make sure that you purchase the correct cable. There are two basic types of cables—"regular" cables are wired straight-through. Null-modem cables have the transmit and receive pins reversed. Be sure you have the proper type of cable for your rig. Verify the wiring with an ohmmeter or continuity checker to verify.

LOGic's terminal is an excellent diagnostic tool for ports and interfaces. See Loopback Testing.


Report writer

LOGic's report writer is unsurpassed for ease and flexibility in printing your log information, awards progress, QSL cards, and labels in an attractive format. All reports included with LOGic were created with LOGic's custom report writer. You may modify the factory reports or create your own. Note that reports may also be viewed on your screen.

There are approximately 50 different reports included with LOGic. Reports can be accessed from several places within LOGic, including File/Print to be consistent with Windows interface standards, and from the Reports menu. Reports specific to particular activities such as Awards Tracking or QSLing are also shown in their respective menus.

When selecting a menu option that prints reports, you are presented with a list of different reports. You may scroll through the list and look at the description for each report before making a selection.

Note that reports may also be viewed on your screen. Some reports are good on-screen displays of your data.

After selecting a report, you may first be presented with forms asking you to select options related to the particular report.

Some reports allow you to select the order in which the data is printed. For example, the log report allows you to print alphabetically by callsign or in chronological order. Some options are marked with an asterisk (*). This indicates that the order requires a custom index. If you select this option, the report writer will take from a few seconds to generate an index. The options not marked use indexes that are integral to the application, so there will be no delay.

Before printing begins, you will see the Report Options form. This contains a description of the report, and allows you to select several options before printing.

Various reports allow different options, so some options on this form may be disabled.

The "1" button prints a single record.

You may select number of copies if printing to a printer, and beginning and ending pages.

If you check Display print dialog, the Windows printer selector will appear before printing begins, allowing you to select which printer to use and change your printer's properties.

The Output to option lets you choose if the report should be printed, displayed to screen, or "printed" to a disk file. You have two options for disk files. Printer Dump reroutes the graphical information that is normally sent to your printer. Use this if you want to print your reports on a different printer.

ASCII text output converts the graphical report to text. This text may be viewed or edited in any text editor. Since LOGic's reports are very graphically oriented, with line drawing, graphics, color, and TrueType fonts, do not expect the ASCII text file to look like the printed report! When printing to an ASCII text file, you may choose the maximum line length and the number of lines per page.

Selecting records to print

Frequently, you will not want to print your entire database. The report writer provides two means for selecting which records to print. The Select criteria field lets you enter an expression to limit which records are to be printed. This is most easily accomplished by using the Filter feature, which works as described in Filtering. Press the Filter button to display the filter form.

Summary of reports

Here is a brief overview of some of the reports included with LOGic. They are not all documented here, because we frequently add new reports and include reports created by our customers. Reports have descriptive names, and most have additional information in the description field.

Miscellaneous

  • Log. Prints your log data.

  • Gray line. Reports all locations around the globe whose sunset or sunrise time is the same as or close to yours. This is a much more powerful aid in working gray line propagation than a graphical map display.

  • Contest and Contest Summary. Prints contest logs and scores.

Awards progress

    LOGic includes several reports for assisting your paper chasing. Each prompts for Award and Subaward™.

  • All bands and modes. Prints a grid that shows the status for each band and mode for each entity.

  • 1010. For tracking 1010 and other awards such as county hunters, where you get credit for working increasing numbers of stations.

  • Awards. For most awards, including DXCC, where you attempt to work all existing entities. Unlike the online progress displays or All Bands and Modes report, this selects an actual QSO that counts for the award. Use this report for pulling cards from your files for submission.

  • Cards needed. This is a very valuable report that analyzes your log and reports all unconfirmed entities. It then reports all QSOs with each entity in reverse-chronological order. This makes it easy to review your outstanding QSL requests and decide which QSO(s) to try to confirm.

QSLing

Most of LOGic's reports are related to QSLing. There are several formats of cards, exchange labels to paste on preprinted cards, address labels, etc. Various label sizes are supported. Some print multiple QSOs on a label.

Reports that print on sheet-fed labels allow you to specify the starting position so as to not waste labels on partially-used sheets. Labels are printed starting with the top left hand label, and then down the left column, then to the top of the second column, etc.

SWL QSLing

Many SWL stations have a hobby of listening to amateur QSOs and like to collect amateur QSL cards as proof of their reception. Amateurs are encouraged to extend the courtesy of responding to SWL QSL requests. LOGic supports convenient SWL QSLing.

To set up for generating an SWL QSL, put a user-defined field named SWL on your log form. Make it type Character with a width of 12 (wide enough to handle an amateur callsign).

To tell LOGic to generate a QSL for an SWL, enter a new “QSO” for the SWL. SWLers are assigned an identifier or “callsign” by the orginizations to which they belong. Enter this identifier in the call field. In the SWL field, enter the station with whom you were in QSO with when the SWL was listening. Enter R in QSL Sent to request that a QSL be printed. You may also enter comments and a QSL message.

Be sure to enter I (ignore) in QSL Rcvd so that LOGic will not count this SWL entry towards any awards credit.

Proceed to print QSL cards or labels as usual. SWL log entries will be automatically printed in the proper format for SWL QSLing.


Customizing your own reports

Report Writer
Customizing your own reports

LOGic includes a sophisticated reporting facility that allows you to create your own printouts. All reports included with LOGic were created with the report writer. It supports user-selectable ordering, data grouping, counting, and totaling. The label facility creates multiple-across label reports. Those who know xBASE programming may integrate xBASE commands into their reports for the ultimate in power.

Most users will not need all of this power. However, everyone will probably want to move a field or make some other change to the appearance of the printout. LOGic's WYSIWYG (what you see is what you get!) layout makes this easy.

When making changes to a report included with LOGic, use Save As to save it under a different name. This way, you will have your original to go back to if you run into difficulty in your modifications. Likewise, if you are creating a new report, it is usually easier to copy something that is similar to what you want and modify it.

Some of the reports included with LOGic are quite sophisticated. Some utilize SQL (Systems Query Language) to extract and analyze data. The details of programming these are beyond the scope of this manual. However, they serve as excellent examples of advanced reporting techniques, and their layout may be modified as easily as any report.

When creating a report from scratch, you will be asked if you want to create a Report, Label, or Stamp. Usually, you will use Report. This allows the most flexibility in setting up your report. Label allows printing of multiple-across labels. Stamp is an electronic rubber stamp for printing things like return address labels.

The Windows report writer is a graphics application that is much like a desktop publishing program. All reports are printed in Graphics mode. You have precise control over placement of objects, font size and color, and more. See the Object menu pad. A grid and snap-to-grid feature are available to help you position objects in neat rows and columns. See the Report menu pad.

Layout

Let's experiment with making changes to a report's layout. Under the File menu, select Set up report. Select LOG for this example. When the report writer window appears, Click the SAVE AS button. Name your copy MY REPORT.

In the layout window, you will see a window with a representation of the log report in it. There are bands representing the title, body, and footer of the report. Adjust the size of bands by dragging the small rectangular area to the left of the text marking the band. For precise adjustment, double-click this area. In the bands are text items, such as the report title and column headings, graphics items such as lines and boxes, and expressions, such as Call, QSO_DATE, etc. If the report is wider than the screen, you will have to pan to the right to see it all.

Under the View menu are three toolbars that may be shown. Each has touch help. These are dockable toolbars which may be positioned at any edge of the screen. We will use the Report Layout toolbar extensively.

Let's reverse the position of the Call and the Date/Time fields. Click on the Select Objects button on the report toolbar [image]. Using the mouse, drag the Call field from the first line of the Detail band out of the way. You may move it up to the Header band for now. Next, move the QSO_DATE and TIME_ON fields to the left. Then, move the Call field to the place previously occupied by the QSO_DATE and TIME_ON fields. Finally, reverse the positions of the Call and UTC column headings in the Page Head band. You may review the results of your handiwork by selecting the Page Preview option of the View menu.

Deleting an item is even easier. Single-click on an item to select it, then press {Del}.

You may select a group of items to move or delete by placing the mouse pointer on a spot that is not on top of an item, pressing the left button, and dragging the cursor. As you drag the cursor, a box or line composed of dots will be drawn. When you release the button, everything inside or touching the box or line will be selected. To select individual items, hold down the {Shift} key while you click on items to be selected. To delete all active items, just press {Del}. To move all active items, drag one item as usual. The rest will follow.

Labels

Labels are text that does not change according to the information in your database. For example, report titles and column headers.

Select the Text tool from the toolbar [image]. Move the text cursor to where you want your text to appear, and type the text. When done, select the pointer tool (an arrow) from the toolbar. The font, style, color, etc. may be selected from the Object menu pad.

Graphics

The report writer will print lines and boxes as well as bitmap graphics.

From the toolbar, select the line drawing, rectangle, or rounded rectangle button [image] from the toolbar. Create a box by dragging the mouse while holding the button. Pen (line weight) and fill pattern and color may be selected from the Format menu. You may resize a box or line by dragging its handles.

To print bitmap graphics, select the picture tool from the toolbar [image]. Create a box as described above. You will be prompted for the filename of the graphic to print. Your application includes some images in the IMAGES folder. The graphic may be in standard BMP, GIF, JPG or other formats.

Fields

A field prints any variable information. Typically, it is a field from a database file, though it can be, and frequently is, an expression.

Select the field tool [image]. Create a box to hold the expression by dragging the mouse while holding down the button. Enter the expression as described below.

A box for entering an expression appears. Selecting the Expression button [image] causes the expression builder to appear. The larger field makes typing long expressions easier. You may print character, date, or numeric expressions.

For each expression, you may specify a style. You may also report calculated values such as totals and counts. Counts and totals typically appear at the end of the report. Format allows you to determine how the value is displayed. For numeric values, you may use the #, comma, and period to specify the format of a number. For instance,

###,###.##

Other format options such as blank when zero are provided. Also note how we specify a format for the TIME_ON field:

@R ##:##:##

Even though TIME_ON is a character field (it must be able to contain blank as well as 0), we can use a format for it also. The @R tells the report writer to insert the colons in the time, rather than overwriting.

You may modify field properties by right-clicking or double-clicking them.

Many other options are provided for fields.

Suppress can be used to blank repeated values to make the report more readable. The Log report does this with the QSO_DATE field. If the user selects Chron for the order when running the report, the date will be printed for the first QSO for that day only. Select Reset End of Page to make sure that the date prints for the first QSO on the page, even if the previous record was on the same date.

Stretch Vertically causes the band to adjust the number of lines of the band when printing notes and addresses. Float as Band Stretches causes an item in a band that may vary in size because Stretch Vertically was chosen to be printed on the line below the stretches field. If this item is not selected, a stretched field may overwrite it.

_PAGENO used as an expression returns the current page number in type numeric. _PAGENO is a variable. It is accessed like a database field. However, it is not stored in a database, but in the computer's memory. The report writer automatically stores the proper page number here.

Fonts and Colors

You may select the font for all text objects. Select the object, then select Font from the Format menu. To change color, open the color toolbar, select the object, then select the foreground and/or background buttons on the color toolbar. Then click a color button, or click the Custom Color button to select from a palette of 1.6 million colors.

Page Layout

Under the File menu is a Page Setup option. This is used to specify the number of columns for the report (used when printing multi-across labels, and left margin. Adjust the top and bottom margins by adjusting the page header and footer. To adjust the height individual labels when printing multiple labels per sheet, adjust the detail band height. Drag the arrow on the detail band bar up or down. For precise adjustment, double-click the detail band bar. A dialog will prompt you for the size.

The actual form size is determined by the Windows printer driver currently installed. If you are using a sheet-feed printer (laser or ink jet), you can select from a few predefined sizes in the printer driver setup.

For dot-matrix printers, you can usually define a custom form size. You must do this when printing continuous-feed labels. If the printer skips labels, it is because you have not specified the proper form size in your printer. This must be set in the Windows printer setup, not your PDA application!

Bands and Data Grouping

We have seen that the Log report has three bands--Page Header, Detail, and Summary. A band is an area of the report. A shaded Page Foot is also displayed in the layout window. However, since we have entered nothing on this line, the report will not have a page footer. We could use this band to print something at the bottom of each page.

The Report may be used to create or modify Summary or Title band. A Title band prints once at the beginning of the report. It may be a simple one-line title, or a paragraph explaining the report. A Summary prints at the end of the report. It is typically used for totals. The Log report prints a count of the number of QSOs printed. You may select a New Page option for Title Summary.

In addition to the bands discussed thus far, you may also have Group Header bands. In order to do this, you must first order your data by some item. For instance, if your log data is in chronological order, you could tell the report writer that your data is grouped by QSO_DATE, and have the date print in a header above each date group instead of in a column with each QSO. LOGic's Contest report does this.

You may also have a Group footer. It may print counts or totals below a group, or simply print a blank line or two to make the report easier to read. A band may be any number of lines. You may use the Report menu pad options to add and delete band lines.

To specify a group, select the Data Grouping option of the Report menu pad. Select Add. Enter an expression that specifies how the data is grouped. For instance, QSO_DATE. Note that specifying a group does not actually group your data. It merely assumes that the data will be in this order when printing. You must use indexes to actually order the data. The Page Preview option does not order your data. Therefore, group headers and footers will appear at random throughout the display.

Several options are available for groups. New Page causes each new group to begin on a new page.

Reprint Header causes the group header to be printed on all pages if the group spans more than one page.

Reset Page Number causes each group to begin on a new page. Additionally, the page number is set to 1.

# of Rows Following Header prevents orphaned group headers. An orphaned header can occur when a group header is printed near the bottom of the page, and there is no space to print any more detail lines. This option specifies how many detail lines must follow the header. If there is not enough space left on the page for the group header and the specified number of detail lines, the group is started on the next page.

Several groups may be created. Multiple groups are nested. For example, the second group specified is a subgroup of the first. You may reorder multiple groups by dragging the [image] symbol with the mouse, or holding down the control key and pressing the { [image] } or { [image] } keys.

Variables

The Variables option of the Report menu pad allows you to create memory variables within a report. Variables are used in expressions like database fields. However, they are stored in the computer's memory. They are used to store the results of calculations performed while the report is being printed. They may be printed just like database fields. First, enter an expression in Initial Value if other than 0. This value is assigned to the variable before the first record is read. In Value to Store, enter an expression. This expression is evaluated after each record is read from the database, but before it is printed. It may be a field name, constant, or a calculation done on a field or fields in the database.

You may perform counting, totaling, averaging, and other calculations on a variable. The variable may be Reset to the initial value at the end of a page or group. Use these options for printing page totals or group totals. The default, End of Report, does not reset the variable.

Always enable Release Variable After Report. However, advanced users may leave this disabled so that the variable can be accessed by database commands after the report. If you do this, be sure to use the RELEASE command to release the variable.

The variables created with this option do not exist until just before the report starts printing. To create variables for use in database commands, use the Variables page of the Create/Modify report form. See below.

Other Considerations

Be sure to try the Print Preview option after you make any changes. This not only shows how your report looks, but will find any errors in expressions.

To exit the Layout window, click the close gadget. You will be asked if you want to save the changes you have made. Answer Y. Note that this only accepts the changes made in the layout window. Your report is not yet saved to disk. This happens when you Quit Modify Report menu or click the Save or Save As buttons. You may still abandon your changes at that time.

Defaults and description

This page allows you to set defaults and enable and disable options when the report is run.

Select a category for your report--for example, QSL Cards, Awards, etc. This determines which report menus your report will appear on. If you do not make a selection, you can only access the report from the All Reports option on the main LOGic menu bar.

The description is displayed in report selection menus and when running the report. Make notes here about required what the report does, form sizes, etc.

View

View selects the files that will be available to the report. You will be prompted for this when creating a report from scratch. Advanced users may create their own views with database commands. Select None if you will be opening the file yourself with database commands.

Memory Variables

This option allows advanced users to create variables that may be accessed with database commands. Any variables used by database commands must be created here. Typically, these are used to prompt the user for options controlling how the report prints. The Log report uses them to control printing of notes and comment. Specify a name for the variable, and an initial value.

These variables are automatically released when exiting Run Report.

Indexes

When printing a report, you never want your data to appear in random order. You will typically want your log data to be in Chronological or Callsign order. However, you can order your data by any field or combination of fields.

All files in a database include indexes. These special files are used by the Get action of the screens to locate a requested record instantly. They also cause the data in the Browse windows to be ordered. We can use these indexes to order our reports. A list of index tags, or short descriptions, appears in the dropdown menu, along with the expression used to create the index. Simply Add an index, and enter the tag in the Tag/description field.

To create an index for an order that does not already exist, enter a description (QTH for example) and an expression. For example, QTH+STATE+CALL. This will order the report by QTH, then STATE, then CALL. This option will appear on the Order menu when running the report. A * will be placed by it to alert the user that he will have to wait while the index is generated.

Commands

Advanced users may enter xBASE commands in the report to do things like extract data or prompt the user for items to be printed in the report. Commands may be inserted before the files are opened, after the files are open, before each run of the report, after each run of the report, and when exiting Run Report. You may also specify your own commands to open files rather than using a view.

For reference on commands, use any xBASE book, preferably a Visual FoxPro reference. The reports provided with your application provide numerous examples. Nested IF/THEN/ELSE is supported. Other flow control commands such as CASE, DO, and FOR are not. Errors will be checked when running the report.

The Commands runs the same Database Command screen that is an option of the Tools/Advanced menu. This starts the Database Commands form with the same data environment as the report so that you can preview any files opened or created by the report writer.


Return heading

We frequently get tech support calls where the customer is concerned because the return heading is not 180º opposite the to-heading. This is not a bug in the software! Return headings are rarely the reciprocal of the to-heading. The following example illustrates:

Suppose that you live a thousand km from the North pole. You have a have a buddy living one km West of the North pole. In other words, to get to your buddy’s QTH, you could travel 1000 km north, make a left-hand turn, go 1 km, and you’re there. This chart illustrates:

 P -                         b N

                  /

                                  |
                                 You

N is the North pole.
b is your Buddy.
p is the bottomless pit.

The bars represent the compass needle position at various points as we travel from You to the bottomless pit. A compass of course always points toward the North Pole! (For this example we'll assume that you have a special compass that points to the true North Pole instead of the magnetic north pole.)

The short-path heading from you to your buddy is for all practical purposes, 0º or North. To go North, you always walk toward the North Pole. Going North will take you to within 1 km of your buddy’s place.

So you have a nice visit with your frigid friend, and it is time to return to your nice warm Southern QTH. Your instinct may be to travel South or 180º, reasoning that by simply reversing the heading that you embarked on, you will arrive within a mile of your QTH.

However, remember that North is always towards the North Pole, and South is always away from the North Pole. In other words, you can always go South by turning so that the North pole is directly behind you, and start walking. So it is obvious from looking at our chart that if you are to walk from your buddy’s place with the north pole to your back, you would end up not at your QTH, but in the bottomless pit. To return directly home, you start walking with the North Pole to your left. This makes your return heading almost exactly 90º or East!

So you face east and walk in a straight line, and you get home.

It is interesting to note that if you are standing on the North pole, every direction is South!

Another example will clarify why the return heading is not the reciprocal of the to heading. Suppose that you decide to go from your QTH to a caving expedition in the bottomless pit. When you leave your QTH, you are heading Northwest or 315º. When you leave, your compass needle will be pointing at a 45-degree angle from the direction you are facing, halfway between straight ahead and your right. As you walk, the compass needle will turn further to your right. When you are halfway there, the needle will point directly to your right. When you arrive, it will point between your right and your rear. So, as any navigator knows, to travel over a great distance using a compass, you must continuously adjust your heading! Nothing is ever simple, is it?


Rotor interfacing

LOGic will interface to any rotor controller with an RS-232 interface to provide pushbutton positioning of the rotor to the short or long path displayed by LOGic's DX and Direction feature, the DX calculator, or incoming spots. A graphical rotor control head provides on-screen remote control of your rotor. LOGic supports up to two rotors.

PDA sells SARtek, an economical universal rotor interface that costs less than manufacturers' interface options, and will even work with most rotors, even if they were not designed to accept a computer interface. For more information, see the SARtek web site or request additional information from PDA:

http://hosenose.com/sartek

Setup

Select Tools/Setup/Misc Ham Setup from the menu bar. Select the Rotor Interface page. Here you can configure up to four rotors to interface with LOGic. For Driver, select the your rotor model from the list. If your rotor is not listed, try another interface for a rotor of with the same manufacturer, or contact PDA to inquire about the status of your rotor.

Select the serial communications port that your rotor is plugged into. The dropdown menu lists all ports that are installed in Windows. Furthermore, it lists only ports that Windows is aware of. LOGic is capable of supporting at least through COM 16!

The baud rate defaults to the factory setting for your rotor. If your rotor is set to operate at a different speed, select the proper baud rate from the dropdown menu.

Check Reverse if LOGic points your antenna in the opposite direction of what it should. This option is usually required for North-centered rotors.

Support is provided for antennas mounted at an offset to reduce coupling between antennas on the same boom. Go to the Band Table form and enter a value to be added to the actual direction calculated by LOGic for the appropriate band(s). A negative number is subtracted from LOGic's calculated direction.

For the rotor interface to work, a form must be associated with a rotor. From the log menu, select Setup, then the Rig, Rotor, and Terminal page. Log forms are associated with rotor 1 by default.

Using the rotor interface

To use the interface, select the Short or Long path option of the Log menu. When using the DX calculator, a Rotor menu pad appears that is used to set the rotor to the directions calculated by the calculator. This allows VHF operators to point the antenna to a specified grid square. The spot log form has rotor control buttons also.

To use the graphical rotor control head, open it from the forms menu. You may click on the map to aim your antenna. Hold down a {Shift} key while clicking to aim long path.. The Stop button does not work on all rotors.

You may also enter a bearing or grid square with the keyboard.

The map may also be used to control the rotor. Click a spot to set the rotor. Right-click to aim long path.

Dial Image Specifications

By default, the dial image uses the last map created by LOGic's map facility. You may replace the default control head dial image with a bitmap graphic of your choice. The dial image may be a .BMP, .GIF or .JPG file. It may have any number of colors. The image should be square. If it is not square, LOGic will stretch to fit the square image area in the control head window. Any white areas on the image will be transparent when displayed by SARtek.

To install your new image, right-click the dial and select your new graphic.


RS-232 pinouts

DB-25 (Unlisted pins are not used)

Pin | Description | Input | Output
1 | Frame ground (not connected on all devices) |  |
2 | TX data/RX Data | x | x
3 | RX data/RX Data | x |
4 | Request To Send | x | x
5 | Clear To Send | x |
6 | Data Set Ready | x |
7 | Signal Ground |  |
8 | Carrier Detect | x |
9 | + Transmit current loop data |  |
11 | - Transmit current loop data |  |
15 | - Receive loop current data |  |
18 | + Receive loop current data |  |
20 | Data Terminal Ready |  | x
22 | Ring Indicator | x |

DB-9

Pin | Description | Input | Output
1 | Carrier Detect |  |
2 | TX Data/RX Data | x | x
3 | RX Data/Tx Data | x | x
4 | Data Terminal Ready |  | x
5 | Signal Ground |  |
6 | Data Set Ready | x |
7 | Request To Send |  | x
8 | Clear to Send | x |
9 | Ring Indicator | x |


SafetyLog™

The SafetyLog™ feature saves a copy of each QSO entered or updated to an ASCII file. To enable, go to Tools/Setup/Misc Ham Setup and click on the General tab. Specify a file name. You should choose a drive that is physically separate from the hard drive containing LOGic's data. This way, if the if LOGic's hard drive fails, you still have a copy of your data. A Zip drive works well. A floppy may be used too, but it is rather slow.

The file buffers are flushed after every write. Our tests show that no SafetyLog data is lost on a power fail. However, you should conduct your own tests if it is imperative that you lose no data. It is possible that some drivers use buffering methods that cannot be flushed.

Output to a printer is not supported, as Windows buffers printer output until a complete page is available to be printed. With no SafetyLog, LOGic usually loses at most the last two or three QSOs, so the buffered printer output of no benefit.

SafetyLog output is in ADIF-compatible format so that it may be easily imported with LOGic's ADIF import. There are two minor deviations from the ADIF standard.

  • The DXCC field is not exported in order to save ADIF code lookup time. However, LOGic will calculate DXCC based on callsign when importing.

  • All of LOGic's user-defined fields are exported under the tag USERFIELDS. LOGic will import this correctly, but it will be ignored by other programs.

Notes and addresses are not written to the SafetyLog.


Serial device loopback testing

LOGic's built-in terminal program is perfect for loopback testing of serial ports and radio interface hardware. A loopback test simply sends data from a port to a device, through a jumper, and back to the serial port. This tests the port, the device, and any cable connecting it.

To perform a loopback test on a serial port, set LOGic's terminal program or any other terminal program, such as Windows Hyperterminal, to the desired COM port. Buad rate and parity do not matter. Turn all handshaking off. Make sure that the terminal port is not in use by another device. Run LOGic's interactive terminal. Type something. You SHOULD NOT see your typing displayed on the screen. Now, short pins 2 and 3 (the transmit and receive pins) of the serial port together. Type something. What you type should be displayed on the screen. If this test fails, your port is bad, the jumpers on the board are set incorrectly, or it is not the port number you think it is.

Follow this procedure when testing radio interfaces other than ICOM: Plug the interface into the computer port without connecting the radio. Type something. You should NOT see your typing. If you do, there is a short somewhere. Now, short the transmit and receive pins on the radio side of the interface together (consult your interface's documentation). Type something. Your typing should appear on the screen. If it does not, the interface or cable is bad.

For the Icom CT-17, LCU-3, and other similar circuits, the testing procedure is different because there is no separate transmit and receive lines to jumper together. All you can do is plug the interface into your port. Type something, and you should see your typing.


Server interface

A server allows third-party programs to easily access and control many of LOGic 6's features. Here are just a few of the things you can do:

•Interface your communications program so that any data received will be processed by LOGic 6, and any data sent using LOGic 6 will be sent to your application for transmission.

•Read and control any rig connected to LOGic 6.

•Log a QSO, or read QSO data from LOGic 6's log screen.

•Access your callbook CD-ROM or web callbook.

•Send spots to LOGic 6's spot log.

This is accomplished using the Windows Common Object Model (COM) interface. Most any language may be used, including Visual C, Visual Basic, Visual FoxPro, Windows Scripting, as well as any product that supports VBScript or JavaScript, including Active Server Pages. Anyone care to interface LOGic to their web page? See our web site for details and an example program. Almost all of LOGic 6's internals are exposed, so if you have a neat idea and want to do something that is not documented, contact us and we will assist..


Setting up awards tracking

LOGic comes set up to track common awards such as DXCC, WAS, etc. However, it is capable of tracking any award. It can also track awards for any of LOGic's normal or user-defined fields. For instance, you could enable tracking on Call to track All-band Worked-EVERYBODY award! To set up tracking for a new award, you will usually first create a user-defined field to contain the values to be tracked. For example, if you wanted to track Mexican States, you need to create a user-defined field in which to log Mexican states. See user-defined fields.

In order to track an award, awards tracking must be enabled for that field. Select the Awards Tracking and Spotting page of the log fields form. Place a check mark in the Track Awards box.

If a list of valid values exists in the lists table , or you intend to create one, be sure to indicate this on the Field Info page of the log fields form. Otherwise, LOGic will perform non-edited awards tracking on this field.

Subawards™

Subawards is a unique and powerful feature that permits tracking of specialized awards such as QRP or YL awards. LOGic will track QSOs that qualify for these specialized awards just as it does for the main award. You can check subaward progress online or with the re-port writer.

You may have up to five sub awards for every main award. For each subaward, enter select criteria that will select the QSOs that qualify for the award. Clicking the button next to the expression will run the Filter form, and will create an expression from the values you enter.

Awards Modes

The modes entered into the log form are not the same ones as used for awards tracking. For example, LSB and USB do not count as separate modes for awards tracking purposes. LOGic has a table that converts actual emission modes to awards tracking modes. To edit this table, select Tools/Setup/Modes from the menu bar.

You may also enter a default RS(T) to be logged if default RST logging is turned on in the log form.

Update Awards Progress Info

LOGic maintains internal progress tallies automatically. However, there are cases when the progress tallies may become inaccurate:

  • When you import data.

  • When you change valid bands or modes setup.

  • When you erase a QSO from the log, and that QSO was the only one counting towards awards progress for an entity for which it is needed.

  • When you change QSL Received to a less-desirable status. For example, from Fulfilled to something else, and that QSO was the only QSO with that status for an entity for which it is needed.

This example will clarify: Suppose you accidentally log a QSO with Guam. LOGic tallies progress for that QSO. But now you erase the QSO. LOGic doesn't know whether or not to remove your progress for Guam without scanning the whole log to make sure there are no other QSOs that will count for Guam. This would take some time, and is not something you would want to wait for while operating.

Update Awards Progress also permits you to tally only selected operators in a multi-operator log, or omit WAS tallying before a specified date if you have moved since starting your log.

To retally awards, simply select Update Awards Progress Info from the Tools menu! This progress may find discrepancies in your data that prevent awards tallying, such as blank or invalid bands or modes, bad DXCC country codes, invalid zones or states, etc. This is especially true of imported data. A summary of discrepancies will be displayed with a description of the problem, and you can click a button to edit the QSO on the log form. On the other hand, leaving these rejects won’t hurt anything.


Sound file format

These are the technical specifications for the digital audio sound files used by LOGic. This information will assist LOGic users in making "brag tapes" to play over the air with LOGic's voice playback, and in replacing the voice of spot announcement with their own or a loved one's voice or a language other than English.

LOGic uses Microsoft WAV files. They may be any sample rate, be 8 or 16 bit. We recommend making the files stereo for possible future dual-channel playback enhancements to LOGic's sound facility. Both channels should contain the same data. Don't go overboard with high-quality sound for SSB transmissions. High sample rates and 16-bit files consume huge amounts of memory and disk space. 8-bit, 11.025 kHz sample-rate files are adequate for SSB transmissions, and work on all sound cards. 16-bit files will be more pleasant to listen to, and are recommended for spot announcements.

Store files for voice playback in the WAV directory, which is inside the directory in which you installed LOGic.

Voice Annunciator Files

The files for the voice annunciation of spots and watches are stored in the SYSWAV directory. They are standard WAV, in spite of their differing extensions.

The alphabet is contained in files named A.FP through Z.FP and A.F through Z.F. These files with an FP extension contain the ITU-recommended phonetic alphabet. A.FP contains "ALPHA", for instance. The files with a .F extension are the alphabet in non-phonetic form.

The digits 0 through 9 are contained in files named 0.F through 9.F. 9.F should contain the word "NINER". 0.F should contain the word "ZERO".

The file -.F contains the word "DASH".

Other files contain whole words, and have a .F extension. For instance 160M.F, TESTING.F, SSB.F, etc.


Tracking submitted cards

LOGic keeps track of which cards have been submitted for an award. For each award, enter a unique identifier in the comment field. Put a colon after the identifier. For example, DXCCSUB: or WASSUB: When the report writer prints a progress report, it will search for a submitted QSO for each entity.

Do not make separate submitted tags for each band and mode. A card has either been submitted for an award or it hasn't. In other words, if a 20M CW card has been submitted for mixed, it doesn't have to be resubmitted for 20M or CW.

There is no special QSL status for submitted cards, since the same card may be submitted for multiple awards.

LOGic has user-defined fields already set up for QSL Sent Date and QSL Rcvd Date. Enable them if you wish to record this data.


TRX-Manager Interface

LOGic supports for third-party F6DEX TRX-Manager program for rig control. This is an excellent computer-interface for radios. Visit the TRX-Manager web site at:

http://hosenose.com/trx-manager

where you can get more info and download a demo.

It supports most of the rigs functions, plus adds several of its own. LOGic interfaces to TRX-Manager just as if it were a rig, allowing you to have the best of logging and computerized rig control. See Radio Interfacing for information on using LOGic's rig interface features.

Install TRX-Manager as per its documentation and make sure it is communicating with your rig. Be sure to turn on OLE in parameters/Setup.

Now run LOGic, and select Tools/Setup/Misc ham setup from the menu bar. Select the Radio Interface page. Select FT-Manager-OLE for one of the rig selection fields. You must select Disable (none) for the COM port. Baud rate, etc are ignored. LOGic will then use OLE automation to communicate with TRX-Manager, which in turn will perform actual communications with the rig via a serial port. TRX-Manager must be running and its monitor window must be open for the interface to work.

Note that you do not need TRX--Manager to interface your rig to LOGic. LOGic includes support for nearly all radios radios.

LOGic also supports Manager, the predecessor to TRX-Manager that supported Yaesu rigs only. LOGic will attempt to load TRX-Manager first. If not found, it will attempt to load FT-Manager.


User-defined fields

One of LOGic's most powerful features is its user-defined field capability. User-defined fields allow you to log information, such as age, occupation, rig, antenna, power, DXCC, county, or 10-10 number, for which there are no dedicated fields. These may be searched or reported just like normal fields, and are an integral part of LOGic's awards tracking facility. You may have any number of user-defined fields.

Log Fields Table

Before using a user-defined field, it must be defined in the Log Fields form. From the Tools menu, select Setup, then Log fields, spotting, and awards tracking.

The Log Fields form lists all fields used by the log form, whether they are user-defined or normal fields. Several user-defined fields are already listed. In fact, LOGic stores fields that are not frequently used with all QSOs to conserve disk space.

LOGic comes with quite a few user-defined fields already set up. Please browse the Log Fields form so as not to duplicate a field that has already been created for you.

To add a field, click the Add new record button [image]. Enter a name for your field.

Select a field type. The field type determines what kind of data can be entered into the field. Character accepts anything. Logical accepts only yes-no values, and appears as a check box on the log form. You would use a Logical field for indicating YL QSOs, for instance. Integer and Float store numeric values only. Integer stores only whole numbers with no digits after the decimal point. Float will store any number.

If you selected Character, Integer, or Float, you must specify the width of the field. If you specified Float, you must also specify the number of decimal places the field will have.

For character fields, you may choose to upshift (convert to all capital letters) the data. It is recommended that you do this for all of your character fields.

If the user-defined field will have a set of acceptable values (rig used for the QSO, for example), you may enter these values in the Lists table, and the field will appear on the log screen as a dropdown menu field.

This form controls numerous options such as packet cluster spotting and awards tracking. These will be discussed elsewhere.

Adding User-defined Fields to the Log Form

Merely adding a field to the log fields table does not affect the log form. You must select which user-defined fields are to appear on the log form. Click the user-defined fields menu button on the log form .

You may have up to 20 user-defined fields per log form. If you need more than 20 user-defined fields, make another log form! (Only five are visible on the factory setup. See Additional Fields to enable others). Push the button in the middle column to select one of the twenty fields. Select which user field should be displayed in that position.

Check the Carry Value Forward if you want the last value entered to be automatically filled in when you add new QSOs. You will probably want to check this for fields related to your station and which are likely to be repeated from one QSO to the next, such as the antenna you are using, or the grid square you are mobiling from. Information related to the other station, such as the type of antenna he is using, will almost always be different from one QSO to the next, so don't check Carry Value Forward for these fields.

The browse form has columns for user-defined fields. You will probably have to pan to the right or move the user-defined field columns to the left to see them.

Although there is a limit of 20 user-defined fields per log form, they may be changed at will, and you may make additional log forms, each with 20 user-defined fields.

Automatcally creating user-defined fields when opening a log form

Rather than going to Log Fields table to add a user-defined field, you can set the log form up so that when it is opened, the new field will be added to the database automatically. This is great if you are making log forms with user-defined fields to share with others, such as a contest setup. Go to Log/Setup, and select Add user-defined fields. Enter the field name, select a type, and enter a description for each field you want added to the database.


Voice Keyer

LOGic's voice keyer facility plays standard WAV files over your sound card. You may assign files to function keys in log/setup for easy access. Interface the audio of the sound card to your transmitter, and you have a great voice keyer for contesting. Record the WAV files using the Windows sound recorder. Place them in the WAV folder inside your LOGic5 folder.

Access the voice keys from the menu bar in the Log form. You may enable a dockable toolbar with pushbuttons.

Your rig's VOX is the most convenient way to handle T/R switching. However, PTT is supported also.


Welcome to LOGic

Welcome to LOGic 6, the most advanced amateur radio software available. Click here to see the sales information which discusses its flexibility and numerous features.. If you are not familiar with LOGic, we recommend reading this to get an overview of its many capabilities.

This help file is organized as a manual. It contains everything in the printed manual, plus information on LOGic's advanced features. The appendix contains miscellaneous general information related to LOGic. The << and >> buttons move to the next or previous sections. Click Contents to see an outline.

Colored, italicized text indicates a glossary entry for that term. Click to jump to the term in the glossary. Click the Back button to return. There are numerous other jumps to help you quickly find related information elsewhere in this manual.

You can search for information using Index or Find. Find is particularly useful because it searches the entire text of this manual for every word or combination of words you specify.

If you are not familiar with Windows help files, click the help button.

This manual assumes that you are familiar with the basics of amateur radio and using your computer—running programs, moving and copying files, manipulating windows, etc. If you are unfamiliar with Windows or using your computer, please review the Windows manual or read one of the many books available on the subject.


Getting help

Assistance is readily available to help you enjoy LOGic. LOGic has comprehensive help -- you are looking at it now! It contains all of the information in the printed manual, plus much additional information. The help file is searchable, so take a look jere first.

Most windows have a help button. Whenever you have questions about a particular form, use this feature. Click it to display the appropriate section of this help file. Be sure to press the << or >> buttons to view the previous or next section, which may be applicable.

Many items have touch help, which are short descriptions and additional info that may be viewed by merely resting the mouse pointer on the object for a few seconds.

Help may also appear on the status bar when you move the mouse over an object, or position the text cursor in a field.

This help file contains a list of our most frequently asked questions. Check it out —it may have just the answer you need.

Other resources are available to assist you. At our web site you will find information and downloads that may solve your problem. From our main page, select the Tech Support link.

http://hosenose.com

The LOGic Net reflector allows you to communicate with other LOGic users.

If you need personal assistance, you may email us at . Attach any files or screen shots that will assist us. Please send all attachments as binary attachments, even if sending a text file. This assures that the file we receive will be the same as the file you sent.

You may also send your tech support questions via fax at 770-307-0760.

You may call our tech support line at 770-307-1496. If your question is difficult to convey in writing or you are not familiar with computers or amateur radio, this may be your best option. When calling, please try to be at your computer, and have it running. We may ask you some questions to verify that you have purchased LOGic. While this line is staffed on an average of over 8 hours per day, we do not always have a tech support person available. So, if you receive no answer, just try later. We frequently have evening coverage for your convenience. We cannot accept technical support calls on our office line. Collect calls are not accepted. Please note that we close at noon on Friday.

You may also mail us at:

LOGic Technical Support
Personal Database Applications
1323 Center Drive
Auburn, GA 30011-3318 USA

An SASE is not required, but will speed our reply. As with email, please enclose any files or printouts that will assist us in helping you. Do not mail your only copy of something! Make a backup copy, and send that to us.

When corresponding with us, be sure to fully explain your question or problem, document the procedures you went through, and attach any screen printouts, etc. that will assist us in helping you. Please ask specific questions. If you simply state that you cannot get LOGic to run or you cannot get LOGic to do such-and-such or do not understand the manual, we will not be able to help you.

If you are reporting a bug, it will be very helpful if you determine exactly what to do to reproduce the bug.

If you have questions about manipulating Windows – moving, resizing, selecting, etc. – please consult your Windows manual or help file. It has illustrations to help explain these actions. Your local library may have additional books and videos. It is extremely difficult to assist you with basic windows usage over the phone or via email, as we cannot see what is on your screen.